PCAN Symbol Editor-Dokumentation

Einführung

Enthält ein Beispiel zur Erstellung und Bearbeitung von Symboldateien sowie allgemeine Information.

Grundlagen der Benutzeroberfläche

Enthält Themen über die Verwendung der PCAN Symbol Editor-Benutzeroberfläche.

Arbeiten mit Symboldateien

In diesem Abschnitt werden die verschiedenen Arten der Elemente einer Symboldatei behandelt.

Referenz zur Benutzeroberfläche

Enthält Themen für die Befehle, Menüs, Dialogfenster und Eingabemasken des PCAN Symbol Editors.

Letzte Aktualisierung: 27.01.2022

Feedback senden | Copyright © 2022 PEAK-System Technik GmbH. Alle Rechte vorbehalten.


Einführung

Einführung

Willkommen zur Dokumentation des PCAN Symbol Editors.

PCAN Symbol Editor ist ein Programm zur Erstellung und Bearbeitung von Symboldateien, welche vom PCAN-Explorer gelesen und verwendet werden können. In Symboldateien werden Definitionen getroffen, wie die Daten von CAN-Nachrichten zu interpretieren sind und welche symbolischen Bezeichner an ihrer Stelle in den verschiedenen Fenstern von PCAN-Explorer angezeigt werden sollen.

In diesem Abschnitt

Wie erstelle ich eine Symboldatei?

Erklärt anhand eines kleinen Beispiels, wie eine Symboldatei mit dem PCAN Symbol Editor erstellt werden kann.

Kontakt-Information

Enthält Information über den Hersteller dieser Software.

Lizenzbestimmungen

Enthält die Lizenzbestimmungen bezüglich dieser Software.

Weitere Abschnitte

Grundlagen der Benutzeroberfläche

Enthält Themen über die Verwendung der PCAN Symbol Editor-Benutzeroberfläche.

Arbeiten mit Symboldateien

In diesem Abschnitt werden die verschiedenen Arten der Elemente einer Symboldatei behandelt.

Referenz zur Benutzeroberfläche

Enthält Information über Eingabemasken und Dialogfenster im PCAN Symbol Editor.

Tipp

Detaillierte Information zur Struktur und den Inhalten einer Symboldatei finden Sie in der Hilfe zum PCAN-Explorer.


Lizenzbestimmungen

Die im Handbuch verwendeten Bezeichnungen für Erzeugnisse, die zugleich ein eingetragenes Warenzeichen darstellen, wurden nicht gesondert gekennzeichnet. Das Fehlen der ® Markierung ist demzufolge nicht gleichbedeutend mit der Tatsache, dass die Bezeichnung als freier Warenname gilt. Ebensowenig kann anhand der verwendeten Bezeichnung auf eventuell vorliegende Patente oder einen Gebrauchsmusterschutz geschlossen werden. Es sei ausdrücklich darauf verwiesen, dass die Firma PEAK-System Technik GmbH weder eine Garantie noch die juristische Verantwortung oder irgendeine Haftung für Folgeschäden übernimmt, die auf den Gebrauch der beiliegenden Software oder den Inhalt dieses Handbuches zurückzuführen sind. Die in diesem Handbuch enthaltenen Angaben können ohne vorherige Ankündigung geändert werden. Die Firma PEAK-System Technik GmbH geht damit keinerlei Verpflichtungen ein.

© 2022 PEAK-System Technik GmbH, Darmstadt, Deutschland

Alle Rechte vorbehalten.

Kein Teil dieses Hilfetextes darf in irgendeiner Form ohne schriftliche Genehmigung der Firma PEAK-System Technik GmbH unter Einsatz entsprechender Systeme reproduziert, verarbeitet, vervielfältigt oder verbreitet werden.

Siehe auch

Kontakt-Information


Kontakt-Information

Diese Software ist ein Produkt von:

PEAK-System Technik GmbH

Otto-Röhm-Straße 69

D-64293 Darmstadt

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com


Komponenten

Windows Ribbon Framework for Delphi.

Website: https://github.com/Virtual-TreeView/ribbonframework/

Copyright (C) 2015 by Erik van Bilsen, Joachim Marder

All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

* Neither the name Erik van Bilsen nor the names of its contributors

may be used to endorse or promote products derived from this

software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE

DISCLAIMED. IN NO EVENT SHALL Erik van Bilsen BE LIABLE FOR ANY

DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES

(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;

LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND

ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS

SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Wie erstelle ich eine Symboldatei?

Mit dem PCAN Symbol Editor können Sie komplette Symboldateien entwerfen und später mit dem PCAN-Explorer verwenden. Das Erstellen einer Symboldatei wird anhand eines Beispiels in der folgenden Schritt-für-Schritt-Anleitung erklärt.

Tipp

Die komplette Symboldatei aus dem folgenden Beispiel finden Sie hier: Beispiel.sym

Folgende Schritte führen Sie zum Ziel:

A: | Neue Symboldatei erzeugen
B: | Symbole erzeugen
C: | Multiplexer erzeugen
D: | Enum erzeugen
E: | Variablen erzeugen
F: | Symboldatei speichern

Start >>


Neue Symboldatei erzeugen

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt A: Neue Symboldatei erzeugen

So erzeugen Sie eine neue Symboldatei:
1. | Klicken Sie auf der Menüband-Registerkarte Start in der Gruppe Datei auf Neu.
 | - oder -
 | Führen Sie im Anwendungsmenü Datei den Befehl Neu aus.
2. | Im dem Neue Symboldatei-Dialogfenster wählen Sie in der Dropdown-Liste das gewünschte Symboldatei-Format aus.

Tipp

Wenn keine Datei im Programm offen ist, können Sie den Schnellstart benutzen und unter Neue Datei erstellen das gewünschte Symboldatei-Format auswählen, um eine neue Symboldatei in diesem Format zu erstellen.

Der Element-Navigator zeigt nun eine Baumansicht mit mehreren leeren Ordnern, die sich je nach ausgewählten Symboldatei-Format unterscheiden können.

Symboldatei-Format 3.1

  • Enums

  • Symbole

  • Botschafts-Tasten

  • Makro-Tasten

Symboldatei-Format 5.0

  • Enums

  • Symbole

  • Virtuelle Variablen

Symboldatei-Format 6.0

  • Enums

  • Signale

  • Symbole

Hinweis

Diese Beispiel basiert auf dem Symboldatei-Format 5.0.

<< Zurück | Nächster Schritt >>


Symbole erzeugen

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt B: Symbole erzeugen

Die Ordner in der Baumansicht des Element-Navigator besitzen noch keine Untereinträge, es sind noch keine Symbole vordefiniert.

So fügen Sie Symbole hinzu:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Symbol hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Symbols aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Symbol hinzufügen aus.
2. | Wiederholen Sie den Vorgang um ein zweites Symbol hinzuzufügen.

Nach dem Hinzufügen der Symbole sollten Sie die Namen ändern (in diesem Beispiel "SendSymbol"und "ReceiveSymbol") und die Eigenschaften anpassen.

So ändern Sie den Namen eines Symbols:
1. | Klicken Sie im Element-Navigator den Eintrag des gewünschten Symbols mit der Maus an.
2. | Klicken Sie auf der Menüband-Registerkarte Start in der Gruppe Element-Navigator auf Umbenennen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Umbenennen aus.
 | - oder -
 | Drücken Sie die Taste F2
 | - oder -
 | Gehen Sie in das Eingabefeld Name in den Symbol-Eigenschaften.
3. | Geben Sie den neuen Namen ein und bestätigen Sie mit der Eingabetaste.
So setzen Sie die Eigenschaften eines Symbols:
1. | Klicken Sie im Element-Navigator den Eintrag des gewünschten Symbols mit der Maus an. Im rechten Teil des PCAN Symbol Editors erscheint die Eingabemaske der Symbol-Eigenschaften.
2. | Verändern Sie in der Eingabemaske nun alle Eigenschaften eines Symbols.

In diesem Beispiel werden die Eigenschaften der beiden zuvor erzeugten Symbole wie folgt gesetzt:

Feld | Symbol "SendSymbol" | Symbol "ReceiveSymbol"
Name | SendSymbol | ReceiveSymbol
CAN-ID | 150h | 100h to 200h*
Typ | Standard | Standard
Richtung | Senden | Empfangen
Anzeigemodus | An (Standard) | An (Standard)
Datenlänge | 8 | 8
Angehalten | Nein | Nein
Trace | Nein | Nein
Zykluszeit | 0 | 0
Timeout | 0 | 0
Farbe | Vorgabe | Vorgabe
Kommentar | Beispiel SendSymbol 150h | Beispiel ReceiveSymbol 100h - 200h

* Nur wenn im Feld Richtung "Empfangen" eingestellt ist, kann dieser Wert eingegeben werden.

<< Zurück | Nächster Schritt >>


Multiplexer erzeugen

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt C: Multiplexer erzeugen

In diesem Beispiel hat das Datenbyte 0 der Botschaft ReceiveSymbol einen Wert, der den Inhalt der nachfolgenden Datenbytes 1 bis 7 definiert. Dies ist ein sogenannter Multiplexer. Das ReceiveSymbol unterscheidet zwischen zwei verschiedenen Datensätzen, also werden in diesem Schritt zwei Multiplexer erzeugt.

So fügen Sie Multiplexer hinzu:
1. | Klicken Sie im Element-Navigator das Symbol ReceiveSymbol mit der Maus an.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Multiplexer hinzufügen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Multiplexer hinzufügen aus.
3. | Wiederholen Sie den Vorgang um einen zweiten Multiplexer hinzuzufügen.

Nun sollten Sie analog zum Schritt B die Namen und Eigenschaften der beiden neuen Multiplexer einstellen.

Feld | Multiplexer "RcvStringMux" | Multiplexer "RcvEnumMux"
Name | RcvStringMux | RcvEnumMux
Startbit | 0 | 0
Länge | 8 | 8
Anzeigemodus | Alles (Standard) | Alles (Standard)
Datenlänge | 8 | 8
Datenformat | Intel | Intel
Angehalten | Nein | Nein
Trace | Nein | Nein
Zykluszeit | 0 | 0
Timeout | 0 | 0
Multiplexerwert | A0h | B0h
Farbe | Vorgabe | Vorgabe
Kommentar | Empfangs String Multiplexer | Empfangs Enum Multiplexer

<< Zurück | Nächster Schritt >>


Enum erzeugen

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt D: Enum erzeugen

Bevor für die bisher definierten Symbole bzw. Multiplexer Variablen definiert werden, sollte noch ein Enum (engl. "enumeration": Auflistung, Aufzählung) erzeugt werden, das später von einer Variablen benutzt werden kann. Ein Enum enthält eine Auflistung von Zahlen verknüpft mit Zeichenketten (Texten).

So erzeugen Sie ein Enum:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Enums auf Enum hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Enums aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Enum hinzufügen aus.
2. | Versehen Sie das neue Enum mit dem Namen "ReceiveEnum" (im Element-Navigator oder über dir Eigenschaften auf der rechten Seite).
So fügen Sie dem Enum Einträge hinzu:
1. | Stellen Sie sicher, dass im Element-Navigator das Enum ReceiveEnum ausgewählt ist.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Enums auf Wert hinzufügen.
 | - oder -
 | Öffnen Sie im Listenfeld Definierte Werte mit der 2. Maus-Taste das Kontextmenü und wählen Sie den Befehl Wert hinzufügen.
3. | Geben Sie im Dialogfenster Enum-Wert bearbeiten die Werte und Texte für einen Enum-Eintrag aus der folgenden Tabelle ein.
4. | Bestätigen Sie die Eingabe mit OK.
5. | Wiederholen Sie die Prozedur für alle weiteren Einträge aus der Tabelle.
Wert | Text
1 | Hallo
15 | Das ist ein Beispiel
45 | Es zeigt, wie man...
128 | ...mit Enums umgehen kann.

<< Zurück | Nächster Schritt >>


Variablen erzeugen

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt E: Variablen erzeugen

Variablen stehen als Platzhalter für Werte, die weiterverarbeitet werden können. In diesem Schritt fügen Sie dem Symbol SendSymbol zwei Variablen sowie den Multiplexern RcvStringMux und RcvEnumMux jeweils eine Variable hinzu.

So fügen Sie den genannten Elementen Variablen hinzu:
1. | Klicken Sie im Element-Navigator das jeweilige Element mit der Maus an.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Variable hinzufügen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Variable hinzufügen aus.
3. | Versehen Sie die neue Variable mit dem Namen, den sie aus der folgenden Tabelle entnehmen können.
4. | Wiederholen Sie die Prozedur für alle genannten Elemente.
Element | Variablenname
Symbol SendSymbol | SendVarUnsign
Symbol SendSymbol | SendVarString
Multiplexer RcvStringMux | RcvStringVar
Multiplexer RcvEnumMux | RcvEnumVar
So setzen Sie die Eigenschaften der erzeugten Variablen:
1. | Klicken Sie die gewünschte Variable im Element-Navigator an.
2. | Tragen Sie in der rechten Eingabemaske Variablen-Eigenschaften die jeweiligen Werte aus den folgenden Tabellen ein.
Feld | Variable "SendVarUnsign" | Variable "SendVarString" | Variable "RcvStringVar" | Variable "RcvEnumVar"
Name | SendVarUnsign | SendVarString | RcvStringVar | RcvEnumVar
Einheit |  |  |  |
Datentyp | 5 - Unsigned | 3 - String | 3 - String | 7 - Enum
Faktor | 1 |  |  | 1
Offset | 0 |  |  | 0
Startbit | 0 | 8 | 8 | 8
Länge | 8 | 56 | 56 | 8
Datenformat | Intel | Intel | Intel | Intel
Anzeigemodus | Alles (Standard) | Alles (Standard) | Alles (Standard) | Alles (Standard)
Kommentar | Zu sendender Unsigned-Wert | Zu sendender String | Multiplexer zum Empfangen eines Strings | Multiplexer zum Empfangen eines dezimalen Wertes
Ausgabeformat | Dezimal |  |  | Dezimal
Minimum | 0 |  |  | 0
Maximum | 255 |  |  | 255
Anfangswert | 160 |  |  | 0
Enum | <Keines> |  |  | ReceiveEnum
Trace | Nein | Nein | Nein | Nein
Standard | Nein | Nein | Nein | Nein
Benutzerdefinierte Dezimalstellen | Nein |  |  | Nein

<< Zurück | Nächster Schritt >>


Symboldatei speichern

PCAN Symbol Editor-Dokumentation

Anleitung: Wie erstelle ich eine neue Symboldatei?

Schritt F: Symboldatei speichern

Als letztes sollten Sie die neu erstellte und konfigurierte Symboldatei speichern, damit diese später mit dem PCAN-Explorer geöffnet werden kann.

So speichern Sie die erstellte Symboldatei:
1. | Klicken Sie auf der Menüband-Registerkarte Start in der Gruppe Datei auf Speichern unter.
 | - oder -
 | Führen Sie im Anwendungsmenü Datei den Befehl Speichern unter... aus.
2. | Geben Sie im Dialogfenster Speichern unter einen Dateinamen an und bestätigen Sie mit Speichern.

<< Zurück


Grundlagen der Benutzeroberfläche

Grundlagen der Benutzeroberfläche

In diesem Abschnitt werden in verschiedenen Themen die Hauptbereiche der grafischen Benutzeroberfläche des PCAN Symbol Editors erklärt.

In diesem Abschnitt

Anwendungsmenü

Beschreibt das Anwendungsmenü vom PCAN Symbol Editor.

Menüband

Erläutert das Menüband, die zentrale Stelle für Befehle im PCAN Symbol Editor.

Schnellstart

Beschreibt den Schnellstart-Bereich vom PCAN Symbol Editor.

Element-Navigator

Beschreibt die Zentrale im PCAN Symbol Editor.

Elementlisten

Beschreibt die Liste der Elemente, die dem im Element-Navigator gewählten Element zugeordnet sind.

Übersichtstafel

Beschreibt die Elemente der Übersichtstafel.

Symbol-Layout

Erläutert die grafische Darstellung der Variablen und Signale eines Symbols oder eines Multiplexers.

Attributliste

Beschreibt die Liste, die erweiterte Element-Eigenschaften enthält.

Status- und Informationsleiste

Beschreibt die Informationen, die in dieser Leiste dargestellt werden.

Weitere Abschnitte

Arbeiten mit Symboldateien

Enthält Themen über die Verwendung des PCAN Symbol Editors.

Eingabemasken der Eigenschaften

Enthält alle Elemente die in den Eingabemasken bearbeitet werden können.

Referenz zur Benutzeroberfläche

Enthält Information über Eingabemasken und Dialogfenster im PCAN Symbol Editor.


Anwendungsmenü

Das Anwendungmenü beinhaltet Befehle zur allgemeinen Verwaltung von Symboldateien und ist im Programm in der oberen linken Ecke unter Datei zu erreichen.

Dieses Menü listet auch die zuletzt geöffneten Dateien (Symbol-, CANdb- und AUTOSAR-Dateien) auf.

Siehe auch

Grundlagen der Benutzeroberfläche

Befehle

Menüband


Menüband

Das Menüband ist die zentrale Stelle für nahezu alle Befehle, die im PCAN Symbol Editor benötigt werden. Darüber können fast alle Programmfunktionen ausgeführt werden.

Die Befehle sind im Menüband in Registerkarten und Gruppen entsprechend ihrer Funktionalität aufgeteilt.

Start

Auf dieser Registerkarte sind allgemeine Befehle aufgeführt.

Bearbeiten

Auf dieser Registerkarte sind alle Befehle aufgeführt, die zur Bearbeitung von Symboldateien dienen.

Ansicht

Auf dieser Registerkarte sind Befehle aufgeführt, die zur Anzeige im Programm dienen.

Hinweis

Wird das Menüband nicht angezeigt, klicken Sie oben rechts auf die Schaltfläche Menüband erweitern, oder drücken Sie Strg + F1.

Siehe auch

Grundlagen der Benutzeroberfläche

Befehle

Anwendungsmenü


Schnellstart

Nach dem Programmstart wird ein Schnellstart-Bereich im der Mitte des Hautpfensters angezeigt.

Mit diesem Bereich können neue Dateien erzeugt, zuletzt verwendete Dateien geöffnet und CANdb- oder AUTOSAR-Dateien direkt importiert werden.

Hinweis

Der Schnellstart wird im PCAN Symbol Editor nur angezeigt, wenn keine Datei im Programm geöffnet ist.

Neue Datei erstellen

Hier werden alle unterstützen Symboldatei-Formate aufgelistet, die das Programm verwenden kann. Durch Auswahl eines dieser Formate, wird eine neue Symboldatei in dem gewählten Format erzeugt und dargestellt.

Letzte Datei öffnen

Hier sind die 10 zuletzt geöffneten Dateien aufgelistet. Durch Auswahl einer dieser Dateien, wird die Datei im Programm geöffnet. Zum Öffnen einer anderen Datei kann der letzte Eintrag Datei öffnen verwendet werden.

Extern

Es können die folgende Einträge verwendet werden, um Symboldaten zum importieren ohne zuvor eine neue Symboldatei erzeugen zu müssen:

  • CANdb-Datei importieren

  • AUTOSAR-Datei importieren

Hinweis

Der Unterschied zum direkten Öffnen einer CANdb- oder AUTOSAR-Datei besteht darin, dass hiermit bestimmte Symbole importiert werden können, während beim Öffnen die komplette CANdb- oder AUTOSAR-Datei inklusive aller Symbolen eingelesen wird.

Siehe auch

Grundlagen der Benutzeroberfläche

Befehle

Neue Symboldatei-Dialogfenster

Liste "Zuletzt geöffnete Dateien"


Element-Navigator

Der Element-Navigator ist die Zentrale im PCAN Symbol Editor. Er ist ein einfacher Baum und befindet sich in der linken Hälfte des Programmfensters.

Mit dem Element-Navigator können in einer Symboldatei folgende Elemente erstellt, umbenannt oder gelöscht werden:

Elementsymbol | Elementname | Drag&Drop-Unterstützung | Mögliche Drag&Drop-Aktionen
 | Enum | Nein | Keine
 | Signal | Ja | Das gewählte Signal wird dem Ziel-Element (Symbol oder Multiplexer) als zugewiesenes Signal hinzugefügt.
 | Symbol | Ja | Kann Ziel eines zugewiesenen Signals sein.
 | Multiplexer | Ja | Kann Ziel eines zugewiesenen Signals sein.
 | Variable | Nein | Keine
 | Zugewiesene Signal | Ja | Mit gedrückter STRG-Taste wird das zugewiesene Signal in das Ziel-Element (Symbol oder Multiplexer) kopiert. Anderenfalls wird das zugwiesene Signal verschoben.
 | Virtuelle Variable | Nein | Keine
 | Message Key | Nein | Keine
 | Macro Key | Nein | Keine

Tipp

Für den Element-Navigator nutzbaren Funktionen bzw. Befehle im Anwendungsmenü oder den Registerkarten im Menüband können auch über Kontextmenüs innerhalb des Element-Navigators (2. Maus-Taste) ausgewählt werden.

Siehe auch

Grundlagen der Benutzeroberfläche

Referenz zur Benutzeroberfläche


Übersichtstafel

Die Registerkarten der Übersichtstafel unterscheiden sich in Abhängigkeit der Element-Auswahl im Element-Navigator.

Die Übersichtstafel kann folgenden Registerkarten beinhalten:

  • Enums / Signale / Symbole / Multiplexer / Variablen und Signale / Virtuelle Variablen / Botschafts-Tasten / Makro-Tasten

  • Zugewiesene oder benutzte Elemente

  • Symbol-Layout

  • Attribute

Siehe auch

Grundlagen der Benutzeroberfläche

Referenz zur Benutzeroberfläche


Elementlisten

Elementlisten werden im unteren Bereich des PCAN Symbol Editors auf Registerkarten angezeigt. Sie dienen der Übersicht über die Unterelemente, die einem im Element-Navigator gewählten Element zugeordnet sind. Zum Beispiel werden beim Auswählen des Ordners Enums alle bereits definierten Enums mit deren Anzahl an Werten, dem minimalsten und dem maximalsten Wert in einer Elementliste auf der Registerkarte Enums angezeigt.

Veränderungen der aufgelisteten Werte können vorgenommen werden, wobei nicht alle Eigenschaften eines Elements über die Elementliste einstellbar sind. Durch einen Doppelklick mit der Maus auf einem Eintrag der Liste wird die Bearbeitungsmaske des Elements geöffnet, in welcher dann alle Eigenschaften des Elements bearbeitet werden können.

Die Spalten, die in den Elementlisten angezeigt werden, können mit dem Spalten anpassen-Dialogfenster geändert werden.

Siehe auch

Grundlagen der Benutzeroberfläche

Symbol-Layout

Element-Navigator

Eingabemasken der Eigenschaften

Spalten anpassen-Dialogfenster


Symbol-Layout

Das Symbol-Layout wird im unteren Bereich des PCAN Symbol Editors (Übersichtstafel) auf der Registerkarte Layout angezeigt, wenn entweder ein Symbol, ein Multiplexer, eine Variable oder ein Signal im Element-Navigator selektiert ist.

Im Symbol-Layout, eine Matrix aus 8 Spalten (Bits) und einer bestimmten Anzahl Zeilen (Bytes), werden Elemente, d. h. Variablen und Signale eines Symbols oder eines Multiplexers sowie die Multiplexer selber grafisch dargestellt. Die Anzahl maximaler Zeilen (Bytes), die angezeigt werden, richtet sich nach dem eingestellten Symbol-Typ.

Anzahl Zeilen (Bytes) | Typ des Symbols
8 | Standard und Extended
1785 | J1939 PG
64 | FD Standard und FD Extended

Die Bitreihenfolge einer Variablen, eines Signals oder eines Multiplexers wird durch einen Pfeil angezeigt. Dabei beginnen Variablen, Signale oder Multiplexer (msb = most significant bit) im Intel-Format immer im niederen Byte, während solche im Motorola-Format im höheren Byte beginnen.

Mit einfachen Maus Drag and Drop-Aktionen können Elemente gezielt innerhalb des Symbol-Layouts verschoben werden. Dabei wird angezeigt, ob das Verschieben eines Elements an die gewünschte Position zulässig ist. Falls dies nicht der Fall ist, weil z. B. eine Überlappung mit einem anderen Element besteht, werden die entsprechenden Bits während des Ziehens mit der Maus rot und mit einem Kreuz gekennzeichnet.

Hinweis

Eine Überlappung von Elementen ist möglich, wobei in den überlappenden Bits, die jeweilige Farbe des darunter liegenden Elements in der linken oberen Ecke sichtbar wird. Elemente, die sich überlappen, können mit Hilfe des Kontextmenüs entweder in der Vordergrund gebracht werden, oder nach hinten verschoben werden. Achten Sie beim Verschieben auf die grafische Anzeige, so dass eine Überlappung vermieden wird, denn beim Abspeichern dieser Datei würden sonst überlappende Elemente nicht gespeichert werden (nur im Symboldatei-Format 3.1).

Ein Doppelklick auf eine Element im Symbol-Layout bewirkt, dass die Bearbeitungsmaske des Elements angezeigt wird.

Die Anzeige des Symbol-Layouts kann im Optionen-Dialogfenster an eigene Bedürfnisse angepasst werden.

Um das Optionen-Dialogfenster anzuzeigen:

Klicken Sie auf der Menüband-Registerkarte Start in der Gruppe Werkzeuge auf Optionen.

- oder -

Öffnen Sie das Anwendungsmenü Datei und wählen den Befehl Optionen aus.

Siehe auch

Grundlagen der Benutzeroberfläche

Element-Navigator

Optionen-Dialogfenster

Befehle


Attributliste

Die Attributliste wird im unteren Bereich des PCAN Symbol Editors auf einer Registerkarte angezeigt. Sie enthält erweiterten Eigenschaften (Attribute) von Variablen und Signalen. Aus diesem Grund ist diese Liste nur sichtbar, wenn eine Variable oder ein Signal im Element-Navigator ausgewählt ist.

Die Liste enthält 3 Spalten.

Name

In dieser Spalte ist der Namen der Eigenschaft aufgeführt.

Wert

Diese Spalte enthält den Eigenschaftswert. Der Wert kann hier direkt geändert werden, indem z.B. die F2 Taste betätigt wird.

Beschreibung

In der Spalte ist eine Beschreibung für die jeweilige Eigenschaft hinterlegt.

Siehe auch

Grundlagen der Benutzeroberfläche

Übersichtstafel


Zugewiesene oder benutzte Elemente

Zugewiesene oder benutzte Elemente werden im unteren Bereich des PCAN Symbol Editors auf Registerkarten angezeigt. Sie dienen der Übersicht über Zugewiesene oder benutzte die Elemente, die von einem im Element-Navigator gewählten Element benutzt oder einem Element zugewiesen sind. Zum Beispiel werden bei der Auswahl eines Enums alle Variablen oder Signale mit vollständig qualifiziertem Namen angezeigt, die dieses Enum benutzen. Bei der Auswahl eines Signals werden alle zugewiesene Signale mit vollständig qualifiziertem Namen in dieser Liste angezeigt.

Alle Elemente in dieser Liste können mit der Maus angeklickt werden, um die Eigenschaften des jeweilige Elements in der Eingabemaske zu öffnen.

Siehe auch

Grundlagen der Benutzeroberfläche

Referenz zur Benutzeroberfläche

Enum-Eigenschaften

Variablen-Eigenschaften

Signal-Eigenschaften

Zugewiesene Signal-Eigenschaften


Status- und Informationsleiste

Die Status- und Informationsleiste wird im PCAN Symbol Editor ganz unten angezeigt und kann im Optionen-Dialogfenster ein- oder ausgeblendet werden.

In der Leiste werden zusätzliche Informationen zu den folgenden Elementen im Programm angezeigt.

  • Anzahl der Unter-Elemente eines ausgewählten Elementes im Element-Navigator

  • Zustand der aktuell Datei, wie Geändert oder Schreibgeschützt

  • Vollständiger Dateiname inklusive Verzeichnis

Siehe auch

Grundlagen der Benutzeroberfläche

Optionen-Dialogfenster


Arbeiten mit Symboldateien

Arbeiten mit Symboldateien

In diesem Abschnitt werden die verschiedenen Arten der Elemente einer Symboldatei behandelt. Es wird aufgezeigt, wie man im PCAN Symbol Editor mit den Elementen arbeitet.

In diesem Abschnitt

Enums

Enums können verwendet werden, um bestimmte Variablenwerte nicht numerisch, sondern alphanumerisch darzustellen.

Signale

Signale sind eine besondere Art von Variablen, die nur mit dem Symboldatei-Format 6.0 kompatible sind.

Symbole

Dies ist die oberste Ebene der zu treffenden Definitionen.

Multiplexer

Multiplexer sind besonders behandelte Bits in den Datenbytes, deren Inhalt die Bedeutung der restlichen Datenbytes identifiziert.

Variablen

Variablen sind die kleinste Informationseinheit in einer CAN-Nachricht.

Zugewiesene Signale

Zugewiesene Signale sind die kleinste Informationseinheit in einer CAN-Nachricht, die von Signalen abgeleitet und nur mit dem Symboldatei-Format 6.0 kompatible sind.

Virtuelle Variablen

Virtuelle Variable sind eine besondere Art der Variablen, die nur mit dem Symboldatei-Format 5.0 kompatible sind.

Botschafts-Tasten

Botschafts-Tasten ermöglichen das Senden von bestimmten CAN-Nachrichten mit einem einzigen Tastendruck.

Makro-Tasten

Makro-Tasten ermöglichen das Senden von mehreren CAN-Nachrichten auf einmal mit einem einzigen Tastendruck.

Weitere Abschnitte

Grundlagen der Benutzeroberfläche

Enthält Themen über die Verwendung der PCAN Symbol Editor-Benutzeroberfläche.

Referenz zur Benutzeroberfläche

Enthält Themen für die Befehle, Menüs, Dialogfenster und Eingabemasken des PCAN Symbol Editors.


Signale

Signale sind prinzipiell das gleiche wie Variablen, mit dem Unterschied, dass Sie erst einmal keinem Symbol oder Multiplexer angehören. Sie werden global festgelegt ohne Angabe wo sie sich in einem Symbol oder Multplexer befinden. Aus diesem Grund kann auch die Startbit-Eigenschaft nicht eingestellt werden.

Hinweis

Die Signale können im PCAN Symbol Editor nur benutzt werden, wenn in den Eigenschaften der Symbole das Symboldatei-Format auf 6.0 eingestellt ist.

Eine Signaldefinition besteht mindestens aus den folgenden Angaben:

  • Name

  • Datentyp

  • Länge und Format

Optional können noch folgende Definitionen getroffen werden:

  • SPN

  • Anzeigeformat

  • Faktor, Offset

  • Physikalische Einheit

  • Anfangswert

  • Minimum, Maximum

  • Langer Name, Kommentar

  • Enum (Werte-Listen)

Tipp

Signale können nach dem Anlegen einem (mehreren) Symbol(en) oder in einem (mehreren) dort definierten Multiplexer(en) hinzugefügt werden.

So legen Sie ein Signal an:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Signal hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Signale aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Signal hinzufügen aus.
3. | Ändern Sie den Namen des Signals über die rechte Eingabemaske Signal-Eigenschaften und dem dort befindlichen Eingabefeld Name.
4. | In dieser Eingabemaske können Sie alle anderen Eigenschaften des Signals anpassen.

Siehe auch

Zugewiesene Signale

Signal-Eigenschaften

Referenz zur Benutzeroberfläche


Enums

Enums (engl. enumeration: Auflistung) können verwendet werden, um Werte von Variablen oder Signalen nicht numerisch, sondern symbolisch darzustellen. Dazu werden für bestimmte Zahlenwerte Zeichenketten definiert. Stimmt zur Laufzeit der Rohwert einer Variablen bzw. einem Signal mit einem der definierten Werte überein, wird dessen zugeordnete Zeichenkette anstatt des Zahlenwertes angezeigt. Andernfalls wird der physikalische Wert der Variablen oder dem Signal angezeigt.

So fügen Sie ein Enum mit Werten hinzu:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Enums auf Enum hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Enums aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Enum hinzufügen aus.
2. | Ändern Sie den Namen des Enums über die Eingabemaske Enum-Eigenschaften und dem dort befindlichen Eingabefeld Name.
3. | Fügen Sie dem aktuellen Enum Werte hinzu, in dem Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Enums auf Wert hinzufügen klicken.
 | - oder -
 | Indem Sie das Kontextmenü der Liste Definierte Werte öffnen und den Befehl Wert hinzufügen ausführen.
4. | Stellen Sie im Enum-Wert bearbeiten Dialogfenster den Wert bzw. die zugehörige Zeichenkette ein und bestätigen Sie den Vorgang mit OK.
5. | Wiederholen Sie nach Bedarf die Schritte 3 und 4.

Siehe auch

Enum-Eigenschaften

Enum-Wert bearbeiten Dialogfenster

Referenz zur Benutzeroberfläche


Symbole

Symbole sind die oberste Ebene der zu treffenden Definitionen. Sie weisen einer oder mehreren CAN-IDs einen symbolischen Bezeichner zu, der dann anstelle der hexadezimalen CAN-ID in den verschiedenen Fenstern von PCAN Explorer angezeigt wird.

So fügen Sie ein Symbole hinzu:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Symbol hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Symbole aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Symbol hinzufügen aus.
2. | Ändern Sie den Namen des Symbols über die rechte Eingabemaske Symbol-Eigenschaften und dem dort befindlichen Eingabefeld Name.
3. | In dieser Eingabemaske können Sie alle anderen Eigenschaften des Symbols anpassen.

Siehe auch

Symbol-Eigenschaften

Referenz zur Benutzeroberfläche


Multiplexer

Um verschiedene Datensätze in den Datenbytes eines Symbols bei gleichbleibender CAN-ID zu ermöglichen, können sogenannte Multiplexer definiert werden. Multiplexer sind besonders behandelte Bits in den Datenbytes, deren Inhalt die Bedeutung der restlichen Datenbytes identifiziert.

Multiplexer können eine Länge von 1 bis 64 Bits annehmen und beliebig innerhalb der Datenbytes des Symbols positioniert werden, wobei die einzelnen Bits zusammenhängend sein müssen.

Hinweis

Um Missverständnissen vorzubeugen: Der Begriff "Multiplexer" schließt nicht die Datenbytes ein sondern nur die Identifizierungsbits.

So fügen Sie einen Multiplexer hinzu:
1. | Wählen Sie im Element-Navigator unterhalb des Ordners Symbole das Symbol aus, zu dem ein Multiplexer hinzugefügt werden soll.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Multiplexer hinzufügen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Multiplexer hinzufügen aus.
3. | Ändern Sie den Namen des neuen Multiplexers (Standard: "MultiplexerX") über die recht Eingabemaske Multiplexer-Eigenschaften und dem dort befindlichen Eingabefeld Name.
4. | In dieser Eingabemaske können Sie alle anderen Eigenschaften des Multiplexer anpassen.

Siehe auch

Multiplexer-Eigenschaften

Referenz zur Benutzeroberfläche


Variablen

Variablen sind die kleinste Informationseinheit in einer CAN-Nachricht. Mit Variablen wird der Informationsgehalt von einzelnen Bits oder Bitgruppen in den Datenbytes einer CAN-Nachricht beschrieben und für den Benutzer in eine leicht verständliche Form gebracht.

Eine Variablendefinition besteht mindestens aus den folgenden Angaben:

  • Name

  • Datentyp

  • Startbit, Länge und Format

Optional können noch folgende Definitionen getroffen werden:

  • SPN

  • Anzeigeformat

  • Faktor, Offset

  • Physikalische Einheit

  • Anfangswert

  • Minimum, Maximum

  • Langer Name, Kommentar

  • Enum (Werte-Listen)

Variablen können entweder direkt in einem Symbol oder in einem dort definierten Multiplexer eingerichtet werden. In einem Symbol können auf der Symbol-Ebene nicht gleichzeitig Variablen und Multiplexer eingerichtet sein.

Hinweis

Im Symboldatei-Format 3.1 ist die maximale Anzahl von Variablen innerhalb eines Symbols oder Multiplexers auf 64 beschränkt.

So fügen Sie zu einem Symbol oder einem Multiplexer eine Variable hinzu:
1. | Wählen Sie im Element-Navigator unterhalb des Ordners Symbole das gewünschte Symbol oder den gewünschten Multiplexer aus.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Variable hinzufügen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Variable hinzufügen aus.
3. | Ändern Sie den Namen der Variable über die rechte Eingabemaske Variablen-Eigenschaften und dem dort befindlichen Eingabefeld Name.
4. | In dieser Eingabemaske können Sie alle anderen Eigenschaften der Variablen anpassen.

Siehe auch

Variable-Eigenschaften

Referenz zur Benutzeroberfläche


Zugewiesene Signale

Zugewiesene Signale sind Signale, die einem Symbol oder Multiplexer hinzugefügt wurden. Sie enthalten alle Informationen des zugrunde liegenden Signals sowie die Information an welcher Stelle sich das Signal in einem Symbol oder Multiplexer befindet.

Hinweis

Die zugewiesenen Signale können im PCAN Symbol Editor nur benutzt werden, wenn in den Eigenschaften der Symbole das Symboldatei-Format auf 6.0 eingestellt ist.

Die Definition eines zugewiesenen Signals besteht aus den folgenden Eigenschaften:

  • Startbit

  • Anfangswert (optional)

Die folgenden Eigenschaften sind Teil des zugrunde liegende Signals und können an dieser Stelle nicht verändert werden:

  • Name

  • Datentyp

  • Länge und Format

  • SPN

  • Anzeigeformat

  • Faktor, Offset

  • Physikalische Einheit

  • Anfangswert

  • Minimum, Maximum

  • Langer Name, Kommentar

  • Enum (Werte-Listen)

Tipp

Durch einen Mausklick auf den Link %SIGNAL% Eigenschaften (%SIGNAL% steht für den Namen des Signals) wird das zugrunde liegende Signal im Symbol Editor angezeigt.

So fügen Sie ein Signal einem Symbol oder einem Multiplexer hinzu:
1. | Wählen Sie im Element-Navigator unterhalb des Ordners Symbole das gewünschte Symbol oder den gewünschten Multiplexer aus.
2. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Signal zuweisen.
 | - oder -
 | Öffnen Sie im Element-Navigator mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Signal zuweisen aus.
3. | Im Dialogfenster Signal zuweisen wählen Sie in der Kategorie Signale das gewünschte Signal aus und bestätigen den Dialog mit OK.
4. | Passen Sie die Eigenschaften des Signals in der rechten Eingabemaske Zugewiesene Signal-Eigenschaften an.

Siehe auch

Signale

Zugewiesene Signal-Eigenschaften

Referenz zur Benutzeroberfläche


Virtuelle Variablen

Virtuelle Variablen sind im Prinzip das gleiche wie Variablen, mit dem Unterschied, dass Sie keinem Symbol oder Multiplexer angehören. Sie sind, wie der Name schon sagt, virtuell. Aus diesem Grund können auch nicht alle Eigenschaften verändert werden, wie es bei den Variablen der Fall ist.

Hinweis

Die Virtuellen Variablen können im PCAN Symbol Editor nur benutzt werden, wenn in den Eigenschaften der Symbole das Symbolformat auf 5.0 eingestellt ist.

Die Definition einer virtuellen Variablen besteht mindestens aus den folgenden Angaben:

  • Name

  • Datentyp

Optional können noch folgende Definitionen getroffen werden:

  • Anzeigeformat

  • Faktor, Offset

  • Physikalische Einheit

  • Anfangswert

  • Minimum, Maximum

  • Langer Name, Kommentar

  • Enum (Werte-Listen)

So fügen Sie eine virtuelle Variable hinzu:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Virtuelle Variable hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Virtuelle Variablen aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Virtuelle Variable hinzufügen aus.
2. | Ändern Sie den Namen der Variable über die rechte Eingabemaske Variablen-Eigenschaften und dem dort befindlichen Eingabefeld Name.
3. | In dieser Eingabemaske können Sie alle anderen Eigenschaften der Variablen anpassen.

Siehe auch

Variablen

Variable-Eigenschaften

Referenz zur Benutzeroberfläche


Botschafts-Tasten

Um das Senden von bestimmten CAN-Nachrichten mit einem einzigen Tastendruck zu ermöglichen, können die Funktionstasten [F2] bis [F12] mit einzelnen Sendenachrichten belegt werden (Botschafts-Tasten). Neben der grundsätzlichen CAN-Nachrichten-Definition (CAN-ID, Data Length Code, Data) kann auch ein bereits definiertes Symbol einer Funktionstaste zugeordnet werden, sofern es sich nicht um ein Receive-Symbol handelt.

Hinweis

Neben Botschafts-Tasten können auch sogenannte Makro-Tasten definiert werden, die ebenfalls die Funktionstasten [F2] bis [F12] verwenden. Sollte bereits eine Funktionstaste als Makro-Taste definiert sein, so ist eine Definition als Botschafts-Taste nicht mehr möglich (und umgekehrt).

Die Botschafts-Tasten können im PCAN Symbol Editor nur benutzt werden, wenn in den Symbole-Eigenschaften das Symbolformat auf 3.1 eingestellt ist.

So definieren Sie einen Botschafts-Taste:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Botschafts-Taste hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Botschafts-Tasten aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Botschafts-Taste hinzufügen aus.
2. | Passen Sie die Eigenschaften der Botschafts-Taste in der rechten Eingabemaske Botschafts-Taste-Eigenschaften an.

Siehe auch

Botschafts-Taste-Eigenschaften

Makro-Tasten

Referenz zur Benutzeroberfläche


Makro-Tasten

Um das Senden von mehreren CAN-Nachrichten auf einmal mit einem einzigen Tastendruck zu ermöglichen, können die Funktionstasten [F2] bis [F12] mit Makros belegt werden (Makro-Taste). Es können sowohl Standardmakros als auch VBScript-Makros verwendet werden. Bedingt durch die Vielseitigkeit von Makros ist die Anwendung nicht nur auf das Senden von CAN-Nachrichten beschränkt.

Hinweis

Neben Makro-Tasten können auch sogenannte Botschafts-Tasten definiert werden, die ebenfalls die Funktionstasten [F2] bis [F12] verwenden. Sollte bereits eine Funktionstaste als Botschafts-Taste definiert sein, so ist eine Definition als Makro-Taste nicht mehr möglich (und umgekehrt).

Die Makro-Tasten können im PCAN Symbol Editor nur benutzt werden, wenn in den Symbole-Eigenschaften das Symbolformat auf 3.1 eingestellt ist.

So definieren Sie einen Makro-Taste:
1. | Klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Symbole auf Makro-Taste hinzufügen.
 | - oder -
 | Wählen Sie im Element-Navigator den Ordner Makro-Tasten aus, öffnen dort mit der 2. Maus-Taste das Kontextmenü und führen den Befehl Makro-Taste hinzufügen aus.
2. | Passen Sie die Eigenschaften der Makro-Taste in der rechten Eingabemaske Makro-Taste-Eigenschaften an.

Siehe auch

Makro-Taste-Eigenschaften

Botschafts-Tasten

Referenz zur Benutzeroberfläche


Referenz zur Benutzeroberfläche

Referenz zur Benutzeroberfläche

Dieser Abschnitt enthält Themen für die Menübefehle, Dialogfenster und Eingabemasken des PCAN Symbol Editors.

In diesem Abschnitt

Befehle

Beschreibt alle Befehle, die im PCAN Symbol Editor verfügbar sind.

Eingabemasken der Eigenschaften

Die Eingabemasken der Eigenschaften erscheinen in Abhängigkeit des im Element-Navigator gewähltem Elements im rechten Bereich des PCAN Symbol Editor-Fensters.

Optionen-Dialogfenster

Im Optionen-Dialogfenster kann die PCAN Symbol Editor-Umgebung beeinflusst werden, insbesondere das Symbol-Layout.

Enum-Wert bearbeiten Dialogfenster

Mit diesem Dialogfenster können Werte und Texte von Enums bearbeitet werden.

J1939 CAN-ID-Dialogfenster

Im J1939 CAN-ID-Dialogfenster kann die CAN-ID eines Symbols mit dem Typ J1939 PG eingestellt werden.

Neue Symboldatei-Dialogfenster

Im diesem Dialogfenster kann die Format-Version für eine neue Symboldatei ausgewählt werden.

Spalten anpassen-Dialogfenster

Mit diesem Dialogfenster können Spalten von Elementlisten ein- und ausgeblendet werden.

Suchen-Dialogfenster

Mit dem Suchen-Dialogfenster kann im PCAN Symbol Editor nach Texten gesucht werden.

Symboldatei-Format Konverter-Dialogfenster

Mit dem Symboldatei-Format Konverter-Dialogfenster können Symboldateien umgewandelt werden.

Symbole Schnellzugriff-Dialogfenster

Mit dem Symbole Schnellzugriff-Dialogfenster kann im PCAN Symbol Editor auf vorgegebene Elemente zugegriffen werden.

Variablen bearbeiten Dialogfenster

Mit diesem Dialogfenster können Variablenwerte von Botschafts-Tasten eingestellt werden.

Weitere Abschnitte

Grundlagen der Benutzeroberfläche

Enthält Themen über die Verwendung der PCAN Symbol Editor-Benutzeroberfläche.


Befehle

Dieser Abschnitt erläutert alle Befehle, die im PCAN Symbol Editor verfügbar sind.

Symbol | Befehl | Menüband |  | Tastenkombination | Beschreibung
 |  | Registerkarte | Gruppe |  |
 | Absteigend nach Werten sortieren | Bearbeiten | Enums | Nicht vorhanden | Sortiert die Enumwerte nach definierten Werten absteigend.
 | Aktualisieren | Bearbeiten | Element-Navigator | F5 | Aktualisiert alle Einträge im Element-Navigator.
 | Alphabetisch sortieren | Bearbeiten | Element-Navigator | Nicht vorhanden | Falls aktiv, werden die Einträge im Element-Navigator alphabetisch sortiert. Hinweis Betrifft nur Symbole, Multiplexer, Variablen und zugewiesene Signale. Alle anderen Einträge sind immer alphabetisch sortiert.
 | ARXML importieren | Start | Extern | Strg + L | Importiert Symboldaten aus einer AUTOSAR XML Datei.
 | Aufsteigend nach Werten sortieren | Bearbeiten | Enums | Nicht vorhanden | Sortiert die Enumwerte nach definierten Werten aufsteigend.
 | Beenden |  |  | Alt + F4 | Beendet das Programm.
 | Botschafts-Taste hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt eine neuen Botschafts-Taste. Hinweis Ist nur im Symboldatei-Format 3.1 verwendbar.
 | DBC exportieren | Start | Extern | Strg + E | Exportiert Symboldaten in eine CANdb Network Datei.
 | DBC importieren | Start | Extern | Strg + I | Importiert Symboldaten aus einer CANdb Network Datei.
 | Drucken | Start | Drucken | Strg + P | Druckt die Symboldatei als Text aus.
 | Druckvorschau | Start | Drucken | Nicht vorhanden | Zeigt die Druckvorschau an.
 | Duplizieren | Bearbeiten | Element-Navigator | Strg + F3 | Erstellt vom ausgewählten Element im Element-Navigator eine 1:1 Kopie.
 | Einrichten | Start | Drucken | Nicht vorhanden | Ändert die Einstellungen für das zu druckende Dokument.
 | Element nach oben | Bearbeiten | Element-Navigator | Strg + Pfleil-rauf | Verschiebt den ausgewählten Eintrag um eine Position nach oben.
 | Element nach unten | Bearbeiten | Element-Navigator | Strg + Pfleil-runter | Verschiebt den ausgewählten Eintrag um eine Position nach unten.
 | Enum hinzufügen | Bearbeiten | Enums | Nicht vorhanden | Erzeugt einen neuen Enum.
 | Erneut suchen |  |  | F3 | Sucht im Element-Navigator nach der Zeichenkette weiter.
 | Hexadezimale Werte | Bearbeiten | Enums | Nicht vorhanden | Zeigt die Werte des aktuellen Enums in hexadezimaler Form.
 | In den Hintergrund bringen | Ansicht | Layout | Nicht vorhanden | Sende das ausgewählte Layout-Element in den Hintergrund.
 | In den Vordergrund bringen | Ansicht | Layout | Nicht vorhanden | Bringt das ausgewählte Layout-Element zurück in den Vordergrund.
 | Inhalt | Start | Hilfe | Nicht vorhanden | Zeigt das Inhaltsverzeichnis dieser Hilfedatei an.
 | Invertiere Bitindex | Ansicht | Layout | Nicht vorhanden | Stellt den Bit-Index im Layout invertiert da.
 | Konvertieren | Start | Werkzeuge | Nicht vorhanden | Öffnet den Symboldatei-Format Konverter.
 | Löschen | Bearbeiten | Element-Navigator | Entf | Löscht das aktuell ausgewählte Element im Element-Navigator.
 | Makro-Taste hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt eine neue Makro-Tasten-Zuweisung. Hinweis Ist nur im Symboldatei-Format 3.1 verwendbar.
 | Multiplexer hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt einen neuen Multiplexer für ein Symbol.
 | Neu | Start | Datei | Strg + N | Öffnet das Neue Symboldatei-Dialogfenster.
 | Öffnen | Start | Datei | Strg + O | Öffnet eine Symboldatei (*.sym) oder eine CANdb Network Datei (*.dbc).
 | Optionen | Start | Werkzeuge | Strg + Umschalt + F11 | Zeigt das Optionen-Dialogfenster an.
 | Rückwärts suchen | Start | Suchen | Nicht vorhanden | Sucht den letzten Suchbegriff rückwärts.
 | Schließen | Start | Datei | Strg + W | Schließt die momentan geöffnete Symboldatei.
 | Schnelldruck | Start | Drucken | Nicht vorhanden | Druckt die im Programm geöffnete Symboldatei direkt und ohne vorherige Drucker-Auswahl.
 | Signal hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt ein neues Signal. Hinweis Ist nur im Symboldatei-Format 6.0 verwendbar.
 | Signal zuweisen | Bearbeiten | Symbole | Nicht vorhanden | Weist ein bestehendes Signal dem im Element-Navigator gewählten Symbol oder Multiplexer zu. Hinweis Ist nur im Symboldatei-Format 6.0 verwendbar.
 | Spalten anpassen | Ansicht | Spalten | Nicht vorhanden | Passt die Spalten der Elementliste des ausgewählten Element-Typen an.
 | Spalten zurücksetzen | Ansicht | Spalten | Nicht vorhanden | Setzt die Spalten der Elementliste vom ausgewählten Element-Typen zurück.
 | Speichern unter | Start | Datei | F12 | Speichert die im Programm offene Datei unter einem anderen Namen.
 | Speichern | Start | Datei | Strg + S | Speichert die im Programm offene Symboldatei.
 | Suchen | Start | Suchen | Strg + F | Öffnet das Suchen-Dialogfenster.
 | Symbol hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt ein neues Symbol.
 | Symbole Schnellzugriff | Start | Suchen | Strg + . | Öffnet das Symbole Schnellzugriff-Dialogfenster.
 | Über | Start | Hilfe | Nicht vorhanden | Zeigt ein Dialogfenster an, indem allgemeinen Programminformationen angezeigt werden.
 | Umbenennen | Bearbeiten | Element-Navigator | F2 | Ändert den Namen des aktuell ausgewählte Element im Element-Navigator.
 | Variable hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt eine neue Variable.
 | Verschleiern | Start | Werkzeuge | Nicht vorhanden | Verschleiert die momentan geöffnete Symboldatei.
 | Virtuelle Variable hinzufügen | Bearbeiten | Symbole | Nicht vorhanden | Erzeugt eine neue virtuelle Variable. Hinweis Ist nur im Symboldatei-Format 5.0 verwendbar.
 | Vorwärts suchen | Start | Suchen | Nicht vorhanden | Sucht den letzten Suchbegriff vorwärts.
 | Wert bearbeiten | Bearbeiten | Enums | Nicht vorhanden | Bearbeitet einen Enum-Wert.
 | Wert hinzufügen | Bearbeiten | Enums | Nicht vorhanden | Fügt zu einem Enum einen Wert hinzu.
 | Wert löschen | Bearbeiten | Enums | Nicht vorhanden | Löscht einen Wert aus einem Enum.


Befehl: Aktualisieren

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Aktualisieren"

Führt eine komplette Aktualisierung des Element-Navigator und dessen Einträge durch. Dabei werden die Fehlerzustände aller Elemente geprüft und aktualisiert.

Hinweis

Bei größeren Symboldateien kann das Ausführen des Befehls "Aktualisieren" etwas mehr Zeit in Anspruch nehmen.

Symbol

Tastenkombination

F5

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Element-Navigator | Aktualisieren

Siehe auch

Befehle

Element-Navigator


Befehl: ARXML importieren

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "ARXML importieren"

Der Befehl öffnet ein Dialogfenster, mit dem Symboldaten aus einer AUTOSAR XML Datei (*.arxml) in die aktuell offene Symboldatei importiert werden können.

Tipp

Im Dialogfenster kann die dazugehörige Hilfe mit der F1 Taste aufgerufen werden.

Mögliche Konflikte mit bereits vorhandenen Symbolen werden nach dem Import im Programm angezeigt.

Symbol

Tastenkombination

Strg + L

Anwendungsmenü

Importieren | ARXML importieren

Menüband-Registerkarte

Start | Extern | ARXML importieren

Siehe auch

Befehle

Befehl "DBC importieren"

Befehl "DBC exportieren"


Befehl: DBC exportieren

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "DBC exportieren"

Der Befehl öffnet ein Dialogfenster, mit dem Symboldaten aus der im Programm offene Datei in eine CANdb Network Datei (*.dbc) exportiert werden können.

Tipp

Im Dialogfenster kann die dazugehörige Hilfe mit der F1 Taste aufgerufen werden.

Mögliche Konflikte, die beim Export auftreten können, werden vor der Anzeige des Dialogfensters separat angezeigt.

Hinweis

Dieser Befehl ist nur verwendbar, wenn das CANdb Add-in im PCAN-Explorer installiert und registriert ist.

Unterstützt wird das Add-in vom PCAN-Explorer 5 und 6.

Symbol

Tastenkombination

Strg + E

Anwendungsmenü

DBC exportieren

Menüband-Registerkarte

Start | Extern | DBC exportieren

Siehe auch

Befehle

Befehl "DBC importieren"

Befehl "ARXML importieren"


Befehl: DBC importieren

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "DBC importieren"

Der Befehl öffnet ein Dialogfenster, mit dem Symboldaten aus einer CANdb Network Datei (*.dbc) in die aktuell offene Symboldatei importiert werden können.

Tipp

Im Dialogfenster kann die dazugehörige Hilfe mit der F1 Taste aufgerufen werden.

Mögliche Konflikte mit bereits vorhandenen Symbolen werden nach dem Import im Programm angezeigt.

Hinweis

Dieser Befehl ist nur verwendbar, wenn das CANdb Add-in im PCAN-Explorer installiert und registriert ist.

Unterstützt wird das Add-in vom PCAN-Explorer 5 und 6.

Symbol

Tastenkombination

Strg + I

Anwendungsmenü

Importieren | DBC importieren

Menüband-Registerkarte

Start | Extern | DBC importieren

Siehe auch

Befehle

Befehl "DBC exportieren"

Befehl "ARXML importieren"


Befehl: Drucken

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Drucken"

Druckt die im Programm offene Datei im aktuellen Symboldatei-Format als Text aus.

Zuvor wird das von Windows bereitgestellte Dialogfenster für die Einstellung eines Druckers angezeigt. Hier können ein anderer als der Standarddrucker ausgewählt und die für das Drucken relevanten Einstellungen angepasst werden.

Tipp

Eine Druckvorschau ist mit einem gesonderten Befehl verfügbar.

Symbol

Tastenkombination

Strg + P

Anwendungsmenü

Drucken | Drucken

Menüband-Registerkarte

Start | Drucken | Drucken

Siehe auch

Befehle

Befehl "Druckvorschau"


Befehl: Druckvorschau

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Druckvorschau"

Zeigt im Hauptfenster eine Vorschau auf die zu druckende Symboldatei im Textformat an.

Auf der Menüband-Registerkarte Drucken stehen folgende Funktionen zur Verfügung:

Symbol | Befehl | Beschreibung
 | Drucken | Druckt die Symboldatei als Text aus.
 | Einrichten | Zeigt das von Windows bereitgestellte Dialogfeld für die Einstellung eines Druckers. Hier können ein anderer als der Standarddrucker ausgewählt und die für das Drucken relevanten Einstellungen angepasst werden.
 | Ränder anzeigen | Zeigt mit gestrichelten Linien in der Vorschau die Grenzen des Randes um den zu druckenden Text an. Mit der Maus können die Ränder in der Vorschau angepasst werden. Die Linien werden später nicht mitgedruckt. Ein weiterer Klick auf das Symbol blendet die Linien in der Vorschau wieder aus.
 | Nummern anzeigen | Die Zeilen der Symboldatei werden nummeriert. Durch einen weiteren Klick auf die Schaltfläche werden die Zeilennumern wieder entfernt.
 | Vorige Seite | Blättert zur vorherigen Seite des Ausdrucks in der Vorschau.
 | Nächste Seite | Blättert zur nächsten Seite des Ausdrucks in der Vorschau.
 | Ganze Seite | Skaliert die Seitenvorschau so, dass unabhängig von der Fenstergröße immer eine gesamte Seite angezeigt wird.
 | Seitenbreite | Skaliert die Seitenvorschau so, dass unabhängig von der Fenstergröße die Seite immer der Breite des Fensters angepasst wird.
 | Vergrößern | Vergrößert die Seitenvorschau.
 | Verkleinern | Verkleinert die Seitenvorschau.
 | Druckvorschau schließen | Beendet die Seitenvorschau ohne zu drucken.
Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Drucken | Druckvorschau

Menüband-Registerkarte

Start | Drucken | Druckvorschau

Siehe auch

Befehle


Befehl: Erneut suchen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Erneut suchen"

Sucht im Element-Navigator nach der Zeichenkette weiter, die zuvor im Suchen-Dialogfenster eingegeben wurde.

Je nach Richtung, die dabei im Suchen-Dialogfenster ausgewählt wurde, wird dabei Vorwärts oder Rückwärts gesucht.

Symbol

Nicht vorhanden

Tastenkombination

F3

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Nicht vorhanden

Siehe auch

Befehle

Element-Navigator

Suchen-Dialog


Befehl: Konvertieren

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Konvertieren"

Öffnet das Symboldatei-Format Konverter Dialogfenster, mit dem man die Symboldaten zwischen den verschiedenen Symboldatei-Formaten umwandeln kann.

Die Umwandlung in diesem Konverter wird dabei in einer Schritt-für-Schritt-Anleitung durchgeführt, die jederzeit abgebrochen werden kann.

Tipp

Im letzten Schritt der Umwandlung kann entschieden werden, ob die aktuell geladenen Symboldaten im Anschluss überschrieben werden sollen oder nicht.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Konvertieren

Menüband-Registerkarte

Start | Werkzeuge | Konvertieren

Siehe auch

Symboldatei-Format Konverter Dialogfenster

Befehle


Befehl: Löschen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Löschen"

Der Befehl entfernt das gewählte Element aus dem Element-Navigator und aus der Symboldatei.

Hinweis

Die Hauptordner, wie z.B. Enums oder Symbole usw., können nicht entfernt werden.

Das Löschen von Signalen entfernt auch gleichzeitig die in Symbolen oder Multiplexer zugewiesene Signale.

Symbol

Tastenkombination

Entf

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Element-Navigator | Löschen

Siehe auch

Befehle

Element-Navigator


Befehl: Multiplexer hinzufügen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Multiplexer hinzufügen"

Legt einen neuen Multiplexer für das ausgewählte Symbol an.

Hinweis

Dieser Befehl ist nur verfügbar, wenn im Element-Navigator entweder ein Symbol oder ein anderer Multiplexer ausgewählt ist. Wenn ein Multiplexer für ein Symbol erzeugt wird, welches bisher noch keine Multiplexer dafür aber Variablen besaß, werden zwei Multiplexer angezeigt. Der neue, noch leere Multiplexer, und ein bislang unsichtbarer Multiplexer, der intern als übergeordnetes Element der Variablen diente. Die Anzeige dieses Multiplexers war zuvor aber nicht nötig.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Multiplexer hinzufügen

Siehe auch

Befehle

Multiplexer

Element-Navigator


Befehl: Neu

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Neu"

Zeigt das Neue Symboldatei-Dialogfenster zur Auswahl des gewünschten Symboldatei-Formats an.

Zuvor wird die aktuelle Symboldatei im Programm geschlossen. Sind in dieser Symboldatei Änderungen vorgenommen worden, so erfolgt eine Abfrage, ob diese Änderungen vor dem Schließen gesichert werden sollen.

Tipp

Wenn keine Datei im Programm offen ist, können Sie den Schnellstart benutzen und unter Neue Datei erstellen das gewünschte Symboldatei-Format auswählen, um eine neue Symboldatei in diesem Format zu erstellen.

Symbol

Tastenkombination

Strg + N

Anwendungsmenü

Neu

Menüband-Registerkarte

Start | Datei | Neu

Siehe auch

Neue Symboldatei-Dialogfenster

Neue Symboldatei erzeugen (Anleitung)


Befehl: Öffnen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Öffnen"

Zeigt ein Auswahl-Dialogfenster an, um eine auf einem Datenträger vorhandene Symboldatei (*.sym), eine CANdb Network Datei (*.dbc) oder eine AUTOSAR XML Datei (*.arxml) zu öffnen.

Nach Auswahl einer Datei in diesem Dialogfenster wird die aktuell Symboldatei im Programm geschlossen. Sind in dieser Symboldatei Änderungen vorgenommen worden, so erfolgt eine Abfrage, ob diese Änderungen vor dem Schließen gesichert werden sollen.

Tipp

Um einzelne Symboldaten (Symbole) aus einer CANdb Network Datei (*.dbc) oder AUTOSAR XML Datei (*.arxml) in eine bestehende Symboldatei zu importieren, kann der Befehl DBC importieren oder ARXML importieren verwendet werden.

Hinweis

CANdb Network Dateien (*.dbc) können nur geöffnet werden, wenn das CANdb Add-in im PCAN-Explorer installiert und registriert ist.

Unterstützt wird das Add-in vom PCAN-Explorer 5 und 6.

Symbol

Tastenkombination

Strg + O

Anwendungsmenü

Öffnen

Menüband-Registerkarte

Start | Datei | Öffnen

Siehe auch

Befehle

Befehl "DBC importieren"

Befehl "ARXML importieren"


Befehl: Optionen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Optionen"

Öffnet das Optionen-Dialogfenster, in dem verschiedene Grundeinstellungen des PCAN Symbol Editors vorgenommen werden können. Änderungen können entweder mit Ok bestätigt oder mit Cancel verworfen werden.

Symbol

Tastenkombination

Strg + Umschalt + F11

Anwendungsmenü

Optionen

Menüband-Registerkarte

Start | Werkzeuge | Optionen

Siehe auch

Optionen-Dialogfenster

Befehle


Befehl: Signal hinzufügen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Signal hinzufügen"

Legt ein neues Signal an. Dieses erscheint im Element-Navigator unterhalb des Ordners Signale als Eintrag mit dem vorläufigen Namen SignalX, wobei das X für eine fortlaufende Nummerierung steht.

Um Signale in Symbolen oder Multiplexer zu verwenden, kann der Befehl Signal zuweisen verwendet werden.

Hinweis

Signale können im PCAN Symbol Editor nur benutzt werden, wenn in den Symbole-Eigenschaften das Symbolformat auf 6.0 eingestellt ist.

Tipp

Alternativ zu dem Befehl Signal zuweisen kann auch im Element-Navigator ein Signal aus dem Ordner Signale auch mit der Maus per Drag-and-Drop-Operation in ein Symbol oder einen Multiplexer gezogen werden, um dort das Signal zuzuweisen.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Signal hinzufügen

Siehe auch

Befehle

Befehl "Signal zuweisen"

Signale


Befehl: Signal zuweisen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Signal zuweisen"

Weist ein globales Signal aus dem Hauptordner Signale dem ausgewählten Symbol oder Multiplexer zu.

Hierzu wird das Signal zuweisen-Dialogfenster angezeigt, in dem unter Signale alle bereits angelegten Signale aufgelistet sind.

Hinweis

Da ein Signal nur einmal in ein und dem selben Symbol oder Multiplexer zugewiesen werden kann, sind bereits zugewiesene Signale in dieser Liste nicht mehr aufgeführt.

Signale können im PCAN Symbol Editor nur benutzt werden, wenn in den Symbole-Eigenschaften das Symbolformat auf 6.0 eingestellt ist.

Tipp

Alternativ zu diesem Befehl kann auch im Element-Navigator ein Signal aus dem Ordner Signale mit der Maus per Drag-and-Drop-Operation in ein Symbol oder einen Multiplexer gezogen werden, um dort das Signal zuzuweisen.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Signal zuweisen

Hinweis

Der Befehl befindet sich dort im Dropdown-Menü Signal hinzufügen.

Siehe auch

Befehle

Befehl "Signal hinzufügen"

Zugewiesene Signale


Befehl: Symbol hinzufügen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Symbol hinzufügen"

Legt ein neues Symbol an. Dieses erscheint im Element-Navigator unterhalb des Ordners Symbole als Eintrag mit dem vorläufigen Namen SymbolX, wobei das X für eine fortlaufende Nummerierung steht.

Tipp

Im Optionen-Dialogfenster kann in der Kategorie Elemente eingestellt werden, welcher Typ und Datenlänge beim Anlegen eines neuen Symbols verwendet werden soll.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Symbol hinzufügen

Siehe auch

Symbole

Element-Navigator

Elemente, Optionen-Dialogfenster


Befehl: Umbenennen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Umbenennen"

Mit dem Befehl kann das im Element-Navigator gewählte Element umbenannt werden.

Tipp

Über die Eingabemasken der Eigenschaften kann der Name ebenfalls umbenannt werden.

Ein beliebiger Name kann hierbei eingegeben werden.

Die entsprechenden Voraussetzungen für das gewählte Element, wie z.B. die Anzahl von Zeichen, sind den jeweiligen Eigenschaften zu entnehmen.

Hinweis

Die Hauptordner, wie z.B. Enums oder Symbole usw., können nicht umbenannt werden. Message und Macro Keys können ebenfalls nicht umbenannt werden.

In Symbolen oder Multiplexern zugewiesene Signale können nur über ihr Signal-Definition im Hauptordner Signale umbenannt werden.

Symbol

Tastenkombination

F2

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Element-Navigator | Umbenennen

Siehe auch

Befehle

Element-Navigator

Enum-Eigenschaften

Signal-Eigenschaften

Symbol-Eigenschaften

Multiplexer-Eigenschaften

Variablen-Eigenschaften


Befehl: Variable hinzufügen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Variable hinzufügen"

Legt eine neue Variable für das ausgewählte Symbol bzw. den ausgewählten Multiplexer an. Diese erscheint im Element-Navigator unterhalb des Symbols bzw. Multiplexers als Eintrag mit dem vorläufigen Namen VariableX, wobei das X für eine fortlaufende Nummerierung steht.

Hinweis

Dieser Befehl ist nur verfügbar, wenn im Element-Navigator entweder ein Symbol ohne Multiplexer, ein dem Symbol untergeordneter Multiplexer oder eine andere Variable ausgewählt ist.

Tipp

Seit dem Symboldatei-Format 6.0 können Signale als Alternative zu Variablen genutzt werden.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Variable hinzufügen

Siehe auch

Variablen

Signale

Element-Navigator


Befehl: Verschleiern

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Verschleiern"

Verschleiert die geöffnete Symboldatei und speichert sie auf einem Datenträger unter einem neuen Namen. Somit wird eine vorherige Version nicht überschrieben. Es wird ein Dialog zur Angabe des Pfades und des neuen Dateinamens geöffnet.

Bei der Verschleierung werden nur Namen und Texte, wie Kommentare, berücksichtigt.

Hinweis

Ein Symboldatei die einmal verschleiert wurde, kann nie wieder in Klartext umgewandelt werden.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Verschleiern

Menüband-Registerkarte

Start | Werkzeuge | Verschleiern

Siehe auch

Befehle


Befehl: Virtuelle Variable hinzufügen

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Befehl "Virtuelle Variable hinzufügen"

Legt eine neue virtuelle Variable an. Diese erscheint im Element-Navigator unterhalb des Ordners Virtuelle Variablen als Eintrag mit dem vorläufigen Namen VariableX, wobei das X für eine fortlaufende Nummerierung steht.

Hinweis

Die Virtuellen Variablen können im PCAN Symbol Editor nur benutzt werden, wenn in den Symbole-Eigenschaften das Symbolformat auf 5.0 eingestellt ist.

Symbol

Tastenkombination

Nicht vorhanden

Anwendungsmenü

Nicht vorhanden

Menüband-Registerkarte

Bearbeiten | Symbole | Virtuelle Variable hinzufügen

Siehe auch

Variablen

Element-Navigator


Liste: Zuletzt geöffnete Dateien

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Liste "Zuletzt geöffnete Dateien"

Listet die zuletzt geöffneten Dateien im Programm-Menü auf. Diese Liste ist nach Öffnungsdatum sortiert. Um eine Datei aus dieser Liste zu öffnen, genügt es den gewünschten Eintrag mit der Maus anzuklicken.

Menü

Programm-Menü

Siehe auch

Schnellstart

Befehle


Eingabemasken der Eingeschaften

PCAN Symbol Editor-Dokumentation

Referenz zur Benutzeroberfläche

Eingabemasken der Eigenschaften

Die Eingabemasken der Eigenschaften erscheinen in Abhängigkeit des im Element-Navigator gewähltem Elements im rechten Bereich des PCAN Symbol Editor-Fensters.

Eingabemasken

Enum-Eigenschaften

Signal-Eigenschaften

Symbole-Eigenschaften

Symbol-Eigenschaften

Multiplexer-Eigenschaften

Variablen-Eigenschaften

Zugewiesene Signal-Eigenschaften

Botschafts-Taste-Eigenschaften

Makro-Taste-Eigenschaften


Enum-Eigenschaften

In der Eingabemaske der Enum-Eigenschaften können Sie für den im Element Navigator ausgewählten Enum neue Einträge hinzufügen, verändern oder entfernen. Zusätzlich können Sie für den ausgewählten Enum den Namen ändern oder einen Kommentar vergeben.

Name

Der Name des Enums (maximal 32 Zeichen).

Werte

Die Liste der für den gewählten Enum definierten Einträge. Jeder dieser Einträge ist eine Verknüpfung eines Zahlenwertes (Wert) mit einer Zeichenkette (Text) und einem optionalen Kommentar. Die Felder eines Listeneintrags können mit dem Enum-Wert bearbeiten Dialogfenster bearbeitet werden. Um einen Eintrag zu bearbeiten klicken Sie auf der Menüband-Registerkarte Bearbeiten in der Gruppe Enums auf Wert bearbeiten. Über das Kontextmenü der Liste Definierte Werte ist der Befehl zum Bearbeiten ebenfalls erreichbar.

Bitmaske

Diese Option bestimmt, ob das Enum als Bitmaske definiert ist. Bei Bitmasken-Enums werden nur die in den einzelnen Werten auf 1 gesetzten Bits berücksichtigt. Alle anderen Bits sind automatisch Don't-care.

Hinweis

Die Bitmasken-Option kann nur verwendet werden, wenn das Symboldatei-Format 6.0 ausgewählt ist.

Kommentar

Hier kann ein beliebiger Kommentar angegeben werden, der z. B. als kurze Erläuterung für das ausgewählte Enum dient.

Tipp

Unterhalb der Enum-Eigenschaften befindet sich auf der Registerkarte Benutzte Elemente eine Liste, in der alle Elemente (Variablen oder Signale) aufgeführt sind, in denen das Enum benutzt wird. Durch einen Mausklick auf eines dieser Elemente wird die Variable oder das Signal im Symbol Editor geöffnet.

Siehe auch

Enums

Zugewiesene oder benutzte Elemente


Signal-Eigenschaften

Name

Der Name des Signals (maximal 32 Zeichen).

Einheit

Die physikalische Einheit des Signals (maximal 16 Zeichen).

Datentyp

Der Datentyp des Signals. Es stehen acht Datentypen zur Auswahl:

Typ | Beschreibung
Bit | Binäre Darstellung einzelner Bits
Char | Ein Byte als ASCII-Zeichen
String | ASCII-Zeichen
Signed | 2er-Komplement (2-32 Bit)
Unsigned | Integer ohne Vorzeichen (1-32 Bit)
Float | Gleitkomma nach IEEE754 (32 Bit)
Double | Gleitkommazahlen mit bis zu 16 signifikanten Stellen (64 Bit)
Enum | Aufzählung (Enumerator, Werte-Liste). Zuweisung von Zeichenfolgen zu einer oder mehrere Signed- oder Unsigned-Konstanten.
Raw | Rohdaten. Dieser Typ wird für J1939-Signale genutzt, die keine vordefinierte Bedeutung besitzen, und eine dynamischer Bitlänge von bis zu 14280 Bits (1785 Bytes) annehmen können.

Faktor, Offset

Umrechnung des "Rohwertes" eines Signals in einen "physikalischen Wert".

Ein Rohwert ist der Wert des Signals, wie er über den CAN-Bus übertragen wird. Der physikalische Wert ist dann der Wert der physikalischen Größe (z.B. Luftdruck, Geschwindigkeit), der von dem Signal dargestellt wird.

  • Beim Empfang:

Der Rohwert wird mit dem angegebenen Multiplikator multipliziert und dann der Offset addiert:
Physikalischer Wert = (Rohwert * Faktor) + Offset

  • Beim Senden:

Der Offset wird vom eingegebenen physikalische Wert subtrahiert und dann durch den Multiplikator dividiert:
Rohwert = (Physikalischer Wert - Offset) / Faktor

Bei Auswahl des Datentyps "String" und "Raw" können Faktor und Offset nicht eingestellt werden.

Länge

Die Anzahl Bits, die das Signal in einem Symbol oder Multiplexer belegen wird.

Datenformat

Legt die Reihenfolge der Bits in dem Signal fest. Es kann zwischen dem Intel-Format und dem Motorola-Format ausgewählt werden.

Ausgabeformat

Anzeigeformat des Signals. Mit diesem Parameter wird festgelegt, ob der Signalwert dezimal, hexadezimal oder binär dargestellt werden soll.

Bei Auswahl des Datentyps "Bit", "String", "Float", "Double" oder "Raw" kann das Ausgabeformat nicht eingestellt werden.

SPN

Legt die SPN (J1939 Suspect Parameter Number) des Signals fest.

Langer Name

Hier kann ein Text angegeben werden, welcher nicht der Zeichen-Beschränkung der Namen Eigenschaft unterliegt.

Kommentar

Ein beliebiger Kommentar zum Signal als Zeichenkette.

Minimum, Maximum

Definiert den kleinsten und größten physikalischen Wert, der für das Signal zugelassen ist.

Bei Auswahl des Datentyps "Bit", "String" oder "Raw" können Minimum und Maximum nicht eingestellt werden.

Berechne Min-Max

Diese Schaltfläche berechnet den Wertebereich der Variablen unter Verwendung von Faktor, Offset und Bitlänge neu und aktualisiert die Felder Minimum und Maximum entsprechend.

Anfangswert

Definiert den physikalischen Anfangswert des Signals. Dieser Wert ist auf den Wertbereich von Minimum bis Maximum beschränkt.

Enum

Auswahl eines Enums (Werte-Liste). Enums bieten die Möglichkeit, bestimmte Rohwerte von Signalen symbolisch darzustellen.

Bei Auswahl des Datentyps "String" oder "Raw" kann kein Enum ausgewählt werden.

Trace

Legt fest, ob der PCAN-Explorer Tracer dieses Signal und die zugehörige CAN-Botschaft aufzeichnet und anzeigt. Diese Einstellung wirkt sich nur aus, wenn das Signal einem Symbol oder Multiplexer zugewiesen ist und der PCAN-Explorer Tracer so konfiguriert ist, daß er nur markierte Symbole aufzeichnet (Marked Symbols).

Benutzerdefinierte Dezimalstellen

Ist diese Option aktiviert, wird der Signalwert von PCAN-Explorer mit der im Feld Dezimalstellen festgelegten Anzahl Nachkommastellen ausgegeben. Diese Einstellung hat Vorrang vor der Formatierung, die in der Symbole-Eigenschaften aktiviert sein kann. Falls spezielle Formatierungen weder für das Signal selbst noch für alle Symbole festgelegt sind, wird die Anzahl der Nachkommastellen von PCAN-Explorer bestimmt. Siehe PCAN-Explorer Optionen-Dialog auf der Seite Allgemein unter Fließkommawerte.

Dezimalstellen

Ist die Option Benutzerdefinierte Dezimalstellen aktiviert, werden zur Anzeige des Signalwerts diese feste Anzahl Nachkommastellen verwendet. Der Signalwert wird als Kommazahl angezeigt, wenn:

  • im Feld Datentyp entweder der Datentyp Float oder Double gewählt wurde.

  • in den Feldern Faktor oder Offset Werte eingetragen wurden, die keine ganzen Zahlen sind.

Tipp

Unterhalb der Signal-Eigenschaften befindet sich auf der Registerkarte Zugewiesene Elemente eine Liste, in der alle Elemente (Symbole und Multiplexer) aufgeführt sind, in denen das Signal enthalten ist bzw. zugewiesen wurde. Durch einen Mausklick auf eines dieser Elemente wird das Zugewiesene Signal im Symbol Editor geöffnet.

Siehe auch

Signale

Zugewiesene Signale

Zugewiesene oder benutzte Elemente


Symbole-Eigenschaften

In der Eingabemaske der Symbols-Eigenschaften werden Informationen abgelegt, die allgemein für die Symboldatei gültig sind.

Titel

Titel der Symboldatei als Zeichenkette.

Symboldatei-Format:

Definiert das Format der Symboldatei. Es gibt folgende Formate:

  • 3.1: Altes Symbolformat, ab PCAN-Explorer 3.1, mit dem Botschafts- oder Makro-Tasten verwaltet werden können.

  • 5.0: Altes Symbolformat, ab PCAN-Explorer 5, mit dem Virtuelle Variablen verwaltet werden können. Das Verwalten von Signalen, Botschafts- oder Makro-Tasten ist in diesem Format nicht möglich.

  • 6.0: Neues Symbolformat, ab PCAN-Explorer 6, mit dem Signale verwaltet werden können. Das Verwalten von Virtuellen Variablen, Botschafts- oder Makro-Tasten ist in diesem Format nicht möglich.

Dezimaltrennzeichen

Das Dezimaltrennzeichen, das zur Formatierung von Fließkommawerten in Symboldateien verwendet wird. Folgende Einstellungen sind möglich:

Einstellung | Bedeutung
Auto | Das Trennzeichen wird von dem in Windows eingestellten Zahlenformat bestimmt. Eine Änderung des Trennzeichens kann in den entsprechenden Dialogen zu regionalen Einstellungen der Systemsteuerung vorgenommen werden.
Punkt | Das Trennzeichen ist ein Punkt.
Komma | Das Trennzeichen ist ein Komma.

Benutzerdefinierte Dezimalstellen

Ist diese Option aktiviert, werden in PCAN-Explorer Variablenwerte mit der im Feld Dezimalstellen festgelegten Anzahl Nachkommastellen ausgegeben. Ist die Option nicht aktiviert, wird die Anzahl der Nachkommastellen von PCAN-Explorer bestimmt. Siehe PCAN-Explorer Optionen-Dialog auf der Seite Allgemein unter Fließkommawerte.

Dezimalstellen

Ist die Option Benutzerdefinierte Dezimalstellen aktiviert, werden in PCAN-Explorer alle Variablen, die keine ganzzahligen Werte haben, mit dieser festen Anzahl Nachkommastellen ausgegeben. Variablenwerte werden als Kommazahlen angezeigt, wenn:

  • die Variable entweder den Datentyp Float oder Double hat.

  • die Variable einen nicht ganzzahligen Faktor oder Offset besitzt.

Eindeutige Variablen

Legt fest, ob Variablennamen eindeutig sein müssen. Ist die Option aktiviert, darf innerhalb einer Symboldatei ein Variablenname nicht mehrfach vergeben werden.

CAN-ID Maske

Gibt eine Maske für alle CAN-IDs in der Symboldatei vor. Eine Maske qualifiziert, welche der entsprechenden Bits einer CAN-ID "relevant" oder "don't care" sind. Wenn der PCAN-Explorer das Symbol ermittelt, das zu einer bestimmten Botschaft passt, werden nur die Bits der CAN-ID berücksichtigt, bei denen in der Maske an der entsprechenden Position eine 1 gesetzt ist.

Beispiel

Wird die Maske als FF00h definiert, sind nur die Bits 8-15 der CAN-ID zur Bestimmung eines passenden Symbols relevant. Ein Symbol, das mit der CAN-ID 1234h definiert wird, dekodiert dann alle Botschaften mit CAN-IDs zwischen 1200h und 12FFh.

Dieser Parameter wird ab PCAN-Explorer Version 5.3.2 unterstützt.

Standard Bit Rate Switch

Diese Option legt den Standardwert für die FD-Option BRS (Bit Rate Switch) von Symbolen fest.

Die Option ist nur im Symboldatei-Format 6.0 verwendbar.

Kommentar

Ein beliebiger globaler Kommentar zur Symboldatei als Zeichenkette.

Siehe auch

Arbeiten mit Symboldateien


Symbol-Eigenschaften

Name

Der Name des Symbols (maximal 32 Zeichen).

CAN-ID

CAN-Identifier des Symbols. Das Eingabeformat für CAN-IDs wird von der Einstellung CAN-ID Zahlenformat im Optionen-Dialog bestimmt. Wurde die Einstellung Hexadezimal ausgewählt (Voreinstellung), wird der eingegebene Text als hexadezimale Zahl interpretiert. Wurde die Einstellung Dezimal ausgewählt, wird der eingegebene Text als dezimale Zahl interpretiert.

Wenn eine Zahl eingegeben wird, die größer als 2047 (dezimal) ist, wird automatisch der Typ Extended oder FD Extended aktiviert. Bei Eingabe einer ungültigen Zahl (z. B. bei Eingabe von ungültigen Zeichen) wird die CAN-ID auf den ursprünglichen Wert zurückgesetzt.

Falls die Eigenschaft Richtung (siehe unten) mit "Empfangen" angegeben ist, kann ein Bereich von CAN-IDs angegeben werden.

Ist die Eigenschaft Typ auf J1939 PG eingestellt, erscheint hinter dem CAN-ID Feld eine Schaltfläche. Damit kann im J1939 CAN-ID-Dialogfenster die CAN-ID bearbeitet werden.

Typ

Gibt den Typ des Symbols an (Standard / Extended / J1939 PG / FD Standard / FD Extended). Wenn der Typ Extended, FD Extended oder J1939 PG ausgewählt ist, entspricht das definierte Symbol der CAN-Spezifikation 2.0B. In diesem Fall hat die CAN-ID eine Länge von 29 Bits, ansonsten 11 Bits.

Hinweis

Der Typ J1939 PG kann nur ausgewählt werden, wenn das J1939 Add-in im PCAN-Explorer installiert und registriert ist. Außerdem kann dieser Typ nur verwendet werden, wenn in den Symbole-Eigenschaften das Symboldatei-Format 5.0 oder 6.0 ausgewählt ist.

Die Typen FD Standard und FD Extended können nur verwendet werden, wenn das Symboldatei-Format 6.0 ausgewählt ist.

Richtung

Gibt die Übertragungsrichtung des Symbols an (Sender / Empfänger / Sender und Empfänger).

Anzeigemodus

Es wird der Anzeigemodus eingestellt, der festlegt, wie das Symbol im Senden/Empfangen-Fenster von PCAN-Explorer angezeigt werden soll. Dabei stehen zwei Möglichkeiten zu Verfügung:

  • Aus: Das Symbol wird nicht angezeigt, es ist deaktiviert.

  • An: Das Symbol wird angezeigt.

Diese Eigenschaft ist nur verfügbar, wenn das Symbol keine Multiplexer enthält. Enthält das Symbol Multiplexer, wird die Anzeige über die Multiplexer gesteuert, siehe Feld Anzeigemodus in den Multiplexer-Eigenschaften.

Datenlänge

Datenlänge des Symbols in Bytes.

Diese Eigenschaft ist nicht verfügbar, wenn das Symbol Multiplexer enthält. In diesem Fall wird die jeweilige Datenlänge in den Multiplexern festgelegt.

Gültig für alle Datenlängen

Diese Option bestimmt, ob das Symbol für alle Datenlängen gültig ist.

Die Eigenschaft ist nicht verfügbar, wenn das Symbol Multiplexer enthält.

Trace

Legt bei Benutzung des Symbols im PCAN-Explorer fest, ob der Tracer das Symbol als solchen anzeigt.

Kommentar

Kommentar zum Symbol als Zeichenkette.

Zykluszeit

Legt die Periode für das regelmäßige Senden des Symbols in Millisekunden fest. Für den voreingestellten Wert 0 ist diese Funktion deaktiviert. Das Kontrollfeld Angehalten bestimmt, ob das regelmäßige Senden für dieses Symbol zur Zeit inaktiv ist.

Diese Eigenschaft ist nicht verfügbar, wenn das Symbol Multiplexer enthält. In diesem Fall kann die jeweilige Zykluszeit in den Multiplexern festgelegt werden.

Angehalten

Das Kontrollfeld bestimmt, ob das regelmäßige Senden für dieses Symbol zur Zeit inaktiv ist. Siehe auch Zykluszeit.

Timeout

Mit Timeout wird das Zeitintervall (in Millisekunden) angegeben, mit dem das zyklischen Empfangen von Symbolen oder Multiplexern überprüft wird. Tritt ein Timeout auf, wird in der Empfangsliste des PCAN Explorers in der Spalte Timeout die Anzahl der bisher aufgetretenen Timeouts erhöht und die Zykluszeit in rot angezeigt. Für den voreingestellten Wert 0 ist diese Funktion deaktiviert.

Diese Eigenschaft ist nicht verfügbar, wenn das Symbol Multiplexer enthält. In diesem Fall kann der jeweilige Timeout in den Multiplexern festgelegt werden.

Min. Intervall

Definiert ein kleinstes erlaubtes Zeitintervall, in dem dieses Symbol empfangen werden muss, in Millisekunden. Ab Symboldatei-Format 6.0.

Farbe

Legt die Farbe fest, mit der das Symbol von PCAN-Explorer angezeigt werden soll.

J1939-Optionen

Diese Eigenschaften sind nur verfügbar bzw. sichtbar, wenn der Symbol Typ auf J1939 PG eingestellt ist (nur in Verbindung mit J1939 Add-in).

Multipacket

Diese Option bestimmt, ob das Symbol Variablen oder Signale besitzen kann, die außerhalb der eingestellten Datenlänge liegen.

Gültig für alle Quelladressen

Ist diese Option aktiviert, wird die in der CAN-ID enthaltene Quelladresse (Bits 0..7) nicht bei der Identifizierung des Symbols berücksichtigt.

Ist die Option nicht aktiviert, wird zusätzlich zur PGN die in der CAN-ID enhaltene Quelladresse zur Identifizierung des Symbols verwendet, so dass die Definition nur noch für eine ECU mit einer bestimmten Adresse gilt. Andere ECUs mit anderen Quelladressen benötigen eine separate Symboldefinition, so dass die Signale von verschiedenen ECUs eindeutig voneinander getrennt sind.

Anmerkungen

Ist sowohl die Option Gültig für alle Quelladressen als auch die Option Gültig für alle Zieladressen aktiviert, ist bei einem J1939-Symbol nur der PGN-Anteil der CAN-ID relevant (Bits 16..25 bei PDU1-Format, Bits 8..25 bei PDU2-Format). Wird eine PGN von verschiedenen ECUs am Bus mit verschiedenen Quelladressen aus empfangen oder an verschiedene Zieladressen gesendet, werden die darin enthaltenen Signale jeweils überschrieben, da dann Signale immer nur einmal vorhanden sind und nicht zwischen Quell- und Zieladressen unterschieden wird.

Die J1939-Priorität in der CAN-ID (Bits 26..28) wird niemals zur Identifizierung von J1939-Symbolen verwendet.

Gültig für alle Zieladressen

Diese Option ist nur verfügbar, wenn das Symbol das PDU1-Format hat.

Ist diese Option aktiviert, wird die in der CAN-ID bei PDU1-Botschaften enthaltene Zieladresse (Bits 8..15) nicht bei der Identifizierung des Symbols berücksichtigt.

Ist die Option nicht aktiviert, wird zusätzlich zur PGN die in der CAN-ID enhaltene Zieladresse zur Identifizierung des Symbols verwendet, so dass die Definition nur noch für eine Botschaft gilt, die an eine bestimmte Adresse gesendet wird. Siehe auch Anmerkungen zur Option Gültig für alle Quelladressen.

Eine Botschaft hat dann das PDU1-Format, wenn der Wert in den Bits 16..23 der CAN-ID kleiner als 240 (F0h) ist, z.B. wie in PGN EF00h. Liegt der Wert im Bereich 240..255, hat die Botschaft das PDU2-Format. PDU2-Botschaften werden immer als Broadcast gesendet, sie enthalten keine Zieladresse.

Gültig für alle Prioritäten

Ist diese Option aktiviert, wird die in der CAN-ID enthaltene Priorität nicht bei der Identifizierung des Symbols berücksichtigt.

FD-Optionen

Diese Eigenschaften sind nur verfügbar bzw. sichtbar, wenn der Symbol Typ auf FD Standard oder FD Extended eingestellt ist.

Bit Rate Switch

Diese Option auch BRS genannt, legt fest, ob im PCAN-Explorer die Datenbytes der Botschaft, die dem Symbol zugrunde liegt, mit der Nominal- oder Daten-Bitrate gesendet werden. Ist die Option aktiviert, wird die Daten-Bitrate verwendet.

Beim Anlegen eines neuen Symbols wird standardmäßig hierfür die Option Standard Bit Rate Switch aus den Symbole-Eigenschaften verwendet.

Siehe auch

Symbole

Symbole-Eigenschaften


Multiplexer-Eigenschaften

Name

Der Name des Multiplexers (maximal 32 Zeichen).

Startbit

Startposition (Bit) innerhalb des Symbols.

Länge

Länge des Multiplexers in Bits.

Hinweis

Die Startposition und Länge müssen für alle in einem Symbol definierten Multiplexer identisch sein. Der PCAN Symbol Editor passt bei Änderungen in den beiden zuvor beschriebenen Feldern die entsprechenden Werte aller weiteren Multiplexer im selben Symbol automatisch an.

Datenformat

Legt die Reihenfolge der Bits im Multiplexer fest. Unterstützt werden das Intel- sowie das Motorola-Format.

Hinweis: Jeder Multiplexer eines Symbols muss mit der gleichen Formatangabe definiert werden. Bei einer Änderung der Formatangabe wird die entsprechende Einstellungen der anderen Multiplexer im selben Symbol automatisch angepasst.

Anzeigemodus

Mit dem Anzeigemodus wird eingestellt, wie der Multiplexer im Senden/Empfangen-Fenster des PCAN-Explorers angezeigt werden soll. Dabei stehen drei Möglichkeiten zu Verfügung:

  • Aus: Die CAN-Nachricht wird ohne Information über den Multiplexer und Variablen angezeigt.

  • Nur Werte: Nur die Datenwerte der CAN-Nachricht werden ausgewertet und entsprechend der Variablen des Multiplexers dargestellt.

  • Alles (Standard): Es wird die ganze CAN-Nachricht ausgewertet und im PCAN-Explorer als Multiplexer mit Variablen dargestellt.

Datenlänge

Länge der CAN-Nachricht, die mit diesem Multiplexer verbunden ist, in Bytes. Dieser Wert muss so groß sein, dass mindestens die Bits des Multiplexers (Multiplexerlänge) in die Datenbytes passen. Sinnvoll ist ein Wert, der zusätzlich zum Platz für den Multiplexer auch solchen für Daten bereitstellt.

Gültig für alle Datenlängen

Das Kontrollfeld bestimmt, ob der Multiplexer für alle Datenlängen gültig ist.

Trace

Legt bei Benutzung des Multiplexers im PCAN-Explorer fest, ob der Tracer den Multiplexer als solchen anzeigt.

Kommentar

Kommentar zum Multiplexer als Zeichenkette.

Multiplexerwert

Mit dem Multiplexerwert wird der Multiplexer eindeutig definiert. Kein anderer Multiplexer des selben Symbols darf den gleichen Wert benutzten.

Beispiel
Ausgangssituation | Symbol1 CAN-ID 100h mit Mux1 hat den Wert A0h an Startbit 8 Länge 8
 | Symbol1 CAN-ID 100h mit Mux2 hat den Wert F0h an Startbit 8 Länge 8
Empfangene Nachricht | 100h 4 00 F0 00 01
Ergebnis | Nachricht wird als Mux2 ausgewertet und dargestellt.

Zykluszeit

Legt die Periode für das regelmäßige Senden des Multiplexers in Millisekunden fest. Für den voreingestellten Wert 0 ist diese Funktion deaktiviert. Siehe auch Angehalten.

Angehalten

Das Kontrollfeld bestimmt, ob das regelmäßige Senden für diesen Multiplexer zur Zeit inaktiv ist. Siehe auch Zykluszeit.

Timeout

Mit Timeout wird das Zeitintervall (in Millisekunden) angegeben, mit dem das zyklischen Empfangen von Symbolen oder Multiplexern überprüft wird. Tritt ein Timeout auf, wird in der Empfangsliste des PCAN Explorers in der Spalte Timeout die Anzahl der bisher aufgetretenen Timeouts erhöht und die Zykluszeit in rot angezeigt. Für den voreingestellten Wert 0 ist diese Funktion deaktiviert.

Min. Intervall

Definiert ein kleinstes erlaubtes Zeitintervall, in dem dieser Multiplexer empfangen werden muss, in Millisekunden. Ab Symboldatei-Format 6.0.

Farbe

Legt die Farbe fest, mit welcher der Multiplexer von PCAN-Explorer angezeigt werden soll.

Siehe auch

Multiplexer


Variablen-Eigenschaften

Name

Der Name der Variablen (maximal 32 Zeichen).

Einheit

Die physikalische Einheit der Variablen (maximal 16 Zeichen).

Datentyp

Der Datentyp der Variablen. Es stehen acht Datentypen zur Auswahl:

Typ | Beschreibung
Bit | Binäre Darstellung einzelner Bits
Char | Ein Byte als ASCII-Zeichen
String | ASCII-Zeichen
Signed | 2er-Komplement (2-32 Bit)
Unsigned | Integer ohne Vorzeichen (1-32 Bit)
Float | Gleitkomma nach IEEE754 (32 Bit)
Double | Gleitkommazahlen mit bis zu 16 signifikanten Stellen (64 Bit)
Enum | Aufzählung (Enumerator, Werte-Liste). Zuweisung von Zeichenfolgen zu einer oder mehrere Signed- oder Unsigned-Konstanten.
Raw | Rohdaten. Dieser Typ wird für J1939-Variablen genutzt, die keine vordefinierte Bedeutung besitzen, und eine dynamischer Bitlänge von bis zu 14280 Bits (1785 Bytes) annehmen können.

Faktor, Offset

Umrechnung des "Rohwertes" einer Variablen in einen "physikalischen Wert".

Ein Rohwert ist der Wert der Variablen, wie er über den CAN-Bus übertragen wird. Der physikalische Wert ist dann der Wert der physikalischen Größe (z.B. Luftdruck, Geschwindigkeit), der von der Variablen dargestellt wird.

  • Beim Empfang:

Der Rohwert wird mit dem angegebenen Multiplikator multipliziert und dann der Offset addiert:
Physikalischer Wert = (Rohwert * Faktor) + Offset

  • Beim Senden:

Der Offset wird vom eingegebenen physikalische Wert subtrahiert und dann durch den Multiplikator dividiert:
Rohwert = (Physikalischer Wert - Offset) / Faktor

Bei Auswahl des Datentyps "String" und "Raw" können Faktor und Offset nicht eingestellt werden.

Startbit

Legt die Bit-Anfangsposition in den Datenbytes fest.

Länge

Die Anzahl Bits, welche die Variable in einem Symbol oder Multiplexer belegt.

Datenformat

Legt die Reihenfolge der Bits in der Variablen fest. Es kann zwischen dem Intel-Format und dem Motorola-Format ausgewählt werden.

Ausgabeformat

Anzeigeformat der Variablen. Mit diesem Parameter wird festgelegt, ob der Variablenwert dezimal, hexadezimal oder binär dargestellt werden soll.

Bei Auswahl des Datentyps "Bit", "String", "Float", "Double" oder "Raw" kann das Anzeigeformat nicht eingestellt werden.

SPN

Legt die SPN (J1939 Suspect Parameter Number) der Variablen fest.

Langer Name

Hier kann ein Text angegeben werden, welcher nicht der Zeichen-Beschränkung der Namen Eigenschaft unterliegt.

Kommentar

Ein beliebiger Kommentar zur Variablen als Zeichenkette.

Anzeigemodus

Es wird der Anzeigemodus eingestellt, der festlegt, wie die Variable im Receive/Transmit-Fenster von PCAN-Explorer angezeigt werden soll. Dabei stehen drei Möglichkeiten zu Verfügung:

  • Aus: Die Variable wird nicht angezeigt.

  • Nur Werte: Es werden nur die Werte angezeigt, ohne Variablename.

  • Alles (Standard): Es wird der Name der Variablen und der Wert angezeigt.

Minimum, Maximum

Definiert den kleinsten und größten physikalischen Wert, der für die Variable zugelassen ist.

Bei Auswahl des Datentyps "Bit", "String" oder "Raw" können Minimum und Maximum nicht eingestellt werden.

Berechne Min-Max

Diese Schaltfläche berechnet den Wertebereich der Variablen unter Verwendung von Faktor, Offset und Bitlänge neu und aktualisiert die Felder Minimum und Maximum entsprechend.

Anfangswert

Definiert den Anfangswert der Variablen. Dieser Wert ist auf den Wertbereich von Minimum bis Maximum beschränkt.

Enum

Auswahl eines Enums (Werte-Liste). Enums bieten die Möglichkeit, bestimmte Rohwerte von Variablen symbolisch darzustellen.

Bei Auswahl des Datentyps "String" oder "Raw" kann kein Enum ausgewählt werden.

Trace

Legt fest, ob der PCAN-Explorer Tracer diese Variable und die zugehörige CAN-Botschaft aufzeichnet und anzeigt. Diese Einstellung wirkt sich nur aus, wenn der PCAN-Explorer Tracer so konfiguriert ist, daß er nur markierte Symbole aufzeichnet (Marked Symbols).

Standard

Ist diese Option aktiviert, wird die Variable in der Spalte Daten des PCAN-Explorers angezeigt, auch wenn die Variablenansicht zugeklappt ist (falls der Multiplexer mehr als eine Variable enthält). Nur eine einzige Variable eines Symbols/Multiplexers kann dieses Attribut besitzen.

Benutzerdefinierte Dezimalstellen

Ist diese Option aktiviert, wird der Variablenwert von PCAN-Explorer mit der im Feld Dezimalstellen festgelegten Anzahl Nachkommastellen ausgegeben. Diese Einstellung hat Vorrang vor der Formatierung, die in der Symbole-Eigenschaften aktiviert sein kann. Falls spezielle Formatierungen weder für die Variable selbst noch für alle Symbole festgelegt sind, wird die Anzahl der Nachkommastellen von PCAN-Explorer bestimmt. Siehe PCAN-Explorer Optionen-Dialog auf der Seite Allgemein unter Fließkommawerte.

Dezimalstellen

Ist die Option Benutzerdefinierte Dezimalstellen aktiviert, werden zur Anzeige des Variablenwerts diese feste Anzahl Nachkommastellen verwendet. Der Variablenwert wird als Kommazahl angezeigt, wenn:

  • im Feld Datentyp entweder der Datentyp Float oder Double gewählt wurde.

  • in den Feldern Faktor oder Offset Werte eingetragen wurden, die keine ganzen Zahlen sind.

Siehe auch

Variablen

Enums


Zugewiesene Signal-Eigenschaften

Startbit

Legt die Bit-Anfangsposition in den Datenbytes des Symbols oder Multiplexer fest.

Anfangswert

Definiert den Anfangswert des Signals. Wurde hier noch kein Wert angegeben, wird der Anfangswert des zugrunde liegenden Signals angezeigt (grau) und für das Signal im Symbol oder Multiplexer verwendet. Durch Eingabe eines Wertes wird der angegebene Wert nur für das zugewiesene Signal verwendet.

Ausgabeformat

Definiert das Ausgabeformat des Signals. Standardmäßig ist das Ausgabeformat des zugrunde liegenden Signals eingestellt und für das Signal im Symbol oder Multiplexer verwendet. Durch Ändern des Wertes wird das Format nur für das zugewiesene Signal verwendet.

Das Ausgabeformat kann nicht eingestellt werden, wenn der Datentyp "Bit", "String", "Float", "Double" oder "Raw" in dem zugrunde liegende Signal ausgewählt ist.

Kommentar

Ein beliebiger Kommentar zum zugewiesenen Signal als Zeichenkette.

Hinweis

Alle Eigenschaften des zugrunde liegenden Signals werden zwar angezeigt, können aber an dieser Stelle nicht bearbeitet werden.

Siehe auch

Signal-Eigenschaften

Zugewiesene Signale


Botschafts-Taste-Eigenschaften

In der Eingabemaske der Botschaft-Taste-Eigenschaften können Funktionstasten definiert werden, welche bei Betätigung eine einzelne CAN-Botschaft senden.

Funktionstaste

Aus der Dropdown-Liste kann eine noch verfügbare Funktionstaste ausgewählt werden, für welche die folgende Definition gilt. Falls alle Funktionstasten für Botschafts- oder Makro-Tasten vergeben sind, so ist die Liste leer.

Gruppe Rohdaten

Hier kann eine neue CAN-Nachricht definiert werden, die der zuvor gewählten Funktionstaste zugeordnet wird.

CAN-ID

Der CAN-Identifier der Botschaft. Das Eingabeformat für CAN-IDs wird von der Einstellung CAN-ID Zahlenformat im Optionen-Dialog bestimmt. Wurde die Einstellung Hexadezimal ausgewählt (Voreinstellung), wird der eingegebene Text als hexadezimale Zahl interpretiert. Wurde die Einstellung Dezimal ausgewählt, wird der eingegebene Text als dezimale Zahl interpretiert.

Wenn eine Zahl eingegeben wird, die größer als 2047 (dezimal) ist, wird automatisch die Option Extended Frame aktiviert. Bei Eingabe einer ungültigen Zahl (z. B. bei Eingabe von ungültigen Zeichen) wird die CAN-ID auf den Wert 0 zurückgesetzt.

DLC

Der Data Length Code der CAN-Nachricht bestimmt die Anzahl der Datenbytes (maximal 8).

Daten (0..7)

Der Inhalt der einzelnen Datenbytes der CAN-Nachricht (Hexadezimalzahlen).

Extended Frame

Wenn diese Option aktiviert ist, handelt es sich um eine CAN-Nachricht mit 29-Bit-ID (Extended Frame). Ansonsten wird eine 11-Bit-ID verwendet.

Gruppe Symbolisch

Alternativ zur Definition einer neuen CAN-Nachricht kann eine Botschafts-Taste auch ein bereits existierendes Symbol zugeordnet werden.

Verfügbare Symbole

Ein bereits definiertes Send-Symbol kann aus der Dropdownliste ausgewählt werden. Um die Zuordnung zu entfernen kann der Eintrag <Keines> verwendet werden.

Multiplexer

Enthält das zuvor gewählte Symbol Multiplexer, so findet mit Hilfe dieser Dropdownliste eine entsprechende Auswahl statt.

Variablen

Diese Schaltfläche öffnet den Variablen bearbeiten Dialog, mit dem die Werte für Symbol- oder Multiplexer-Variablen angegeben werden können.

RTR

Definiert die Botschafts-Taste als Remote Transmit Request-Nachricht. In diesem Fall können keine Row-Daten oder Werte für Variablen eingegeben werden.

Siehe auch

Botschafts-Taste

Symbole


Makro-Taste-Eigenschaften

In der Eingabemaske der Makro-Taste-Eigenschaften können Funktionstasten definiert werden, welche bei Betätigung einen Makro starten.

Funktionstaste

Aus der Dropdown-Liste kann eine noch verfügbare Funktionstaste ausgewählt werden, für welche die folgende Definition gilt. Falls alle Funktionstasten für Botschafts- oder Makro-Tasten vergeben sind, so ist die Liste leer.

Makro Name

Hier muss der Name eines Standardmakros oder einer VBScript-Makroprozedur eingegeben werden, die der Funktionstaste zugeordnet werden soll.

Siehe auch

Makro-Taste


Optionen-Dialogfenster

Mit dem Optionen-Dialogfenster kann die PCAN Symbol Editor-Umgebung beeinflusst werden, insbesondere das Symbol-Layout.

Um diese Dialogfenster anzuzeigen:

Klicken Sie auf der Menüband-Registerkarte Start in der Gruppe Werkzeuge auf Optionen.

- oder -

Öffnen Sie das Anwendungsmenü Datei und wählen den Befehl Optionen aus.

Das Optionen-Dialogfenster ist in zwei Bereiche aufgeteilt: Einer Liste von Kategorien auf der linken Seite und einem Anzeigebereich auf der rechten Seite. In den verschiedenen Kategorien sind die Einstellungen nach ihren Funktionalitäten gruppiert. Durch Auswahl einer Kategorie aus der Liste werden deren Einstellungen im Anzeigebereich dargestellt.

Das Dialogfenster hat folgende Kategorien:

Kategorie | Beschreibung
Allgemein | Allgemeine Einstellungen bezüglich Umgebung und Format.
Layout-Anzeige | Einstellungen bezüglich des Symbol-Layouts.
Elemente | Einstellungen bezüglich Standardwerte beim Anlegen von Elementen.

Siehe auch

Referenz zur Benutzeroberfläche


Allgemein, Optionen-Dialogfenster

Mit der Allgemeinen Seite im Optionen-Dialogfenster können allgemeine Einstellungen bezüglich der Programmumgebung und Anzeige-Formate geändert werden.

Umgebung

Statuszeile zeigen

Wenn diese Option aktiviert ist, wird am unteren Rand des PCAN Symbol Editor-Fensters eine Status- und Informationsleiste angezeigt.

Sprache

Legt die Sprache fest, die im Programm angezeigt wird. Die Sprache der Online-Hilfe richtet sich ebenfalls nach dieser Einstellung.

Einstellungen

Anzeigeformat der Startbit-Position

Legt die Art der Nummerierung für den Bitstart von Multiplexer, Variablen und zugewiesenen Signalen fest. Dabei können für die beiden Datenformate unabhängig voneinander verschiedene Formate eingestellt werden:

Motorola:

  • Vorwärts LSB: Der Bitstart ist das lsb (last significant bit).

  • Vorwärts MSB (Voreinstellung): Der Bitstart ist das msb (most significant bit).

  • Sequentiell: Der Bitstart richtet sich nach dem fortlaufenden Bit Index (0 - 63 ; von [Byte 0 Bit 0] bis [Byte 7 Bit 7]) im Symbol-Layout.

Intel:

  • Standard (Voreinstellung): Der Bitstart ist das msb (most significant bit).

  • Sequentiell: Der Bitstart richtet sich nach dem fortlaufenden Bit Index (0 - 63 ; von [Byte 0 Bit 0] bis [Byte 7 Bit 7]) im Symbol-Layout.

CAN-ID Zahlenformat

Darstellungsweise der CAN-ID's innerhalb des Programms. Dabei können die CAN-ID's entweder im dezimalen oder hexadezimalen Zahlenformat dargestellt werden.

Standard Symboldatei-Format

Legt das Symboldatei-Format fest, das standardmäßig verwendet wird, wenn das Neue Symboldatei-Dialogfenster angezeigt wird.

Siehe auch

Optionen-Dialogfenster

Neue Symboldatei-Dialogfenster


Layout-Anzeige, Optionen-Dialogfenster

Mit der Seite Layout-Anzeige im Optionen-Dialogfenster können alle Einstellungen bezüglich des Symbol-Layouts getroffen werden.

Mit Hilfe dieser Einstellungen kann das Aussehen des Symbol-Layouts (Registerkarte Layout auf der Übersichtstafel) und der dort angezeigten Elemente (Multiplexer, Variablen oder zugewiesene Signale) angepasst werden.

Einstellungen

Bitindex

Die Einstellung bezieht sich auf die Bit-Anordnung im Symbol-Layout. Hierbei kann zwischen zwei Arten gewählt werden:

  • Standard: Bit-Anordnung erfolgt im Standard-Format (76543210).

  • Invertiert: Bit-Anordnung erfolgt im invertierten Format (01234567).

Elementnamen zeigen

Wenn diese Option aktiviert ist, werden die Namen der Elemente im Symbol-Layout angezeigt.

Auto-Größe Layout Gitter

Wenn diese Option aktiviert ist, werden beim Verändern der Größe des PCAN Symbol Editor-Fensters die Zellen des Symbol-Layouts automatisch angepasst. Beim Deaktivieren der Option wird die zuletzt dargestellte Größe des Symbol-Layouts beibehalten.

Hint zeigen

Wenn diese Option aktiviert ist, werden weitere Informationen zu den Elementen im Symbol-Layout in einem Hint Fenster angezeigt, wenn sich die Maus über ein Element befindet.

Automatische Datenlängen-Korrektur

Wenn diese Option aktiviert ist, wird die Datenlänge (Anzahl der Datenbytes) automatisch angepasst, falls beim Ändern der Element-Position oder Länge die ursprünglich durch die Datenlänge festgelegte Grenze überschritten wird.

Farben

Textfarbe

Legt fest, in welcher Farbe die Beschriftungen bzw. die Element-Namen im Symbol-Layout dargestellt werden.

Auswahlfarbe

Dies definiert die Farbe der Umrandung, die ein Element im Symbol-Layout bekommt, sobald dieses mit der Maus selektiert wird.

Elemente

Für maximal 64 Elementen (Variablen oder Signale) von Symbolen/Multiplexern kann jeweils eine Farbe definiert werden (Feld Farbe), mit der sie im Symbol-Layout angezeigt werden. Dabei sind die Variablen bzw. Signale der Farbzuordnungsliste durchnummeriert. Im Symbol-Layout werden den tatsächlich vorhandenen bzw. angezeigten Elementen nacheinander die Farben für "Variable No. 1", "Variable No. 2" usw. automatisch zugeordnet. Sind mehr als 64 Elemente in einem Symbol bzw. Multiplexer vorhanden, beginnt die Zuordnung ab dem 65ten Element erneut von vorne.

Außerdem sind in der Farbzuordnungsliste folgende Elemente berücksichtigt:

  • Hinter Datenlänge: Farbe, mit der Zellen außerhalb des festgelegten Datenbereichs, der sogenannten Datenlänge, dargestellt werden.

  • Unbenutzt: Farbe, mit der Zellen angezeigt werden, die nicht von Elementen belegt sind, jedoch noch innerhalb des festgelegten Datenbereichs liegen.

  • Multiplexer: Farbe, mit der Multiplexer im Symbol-Layout angezeigt werden.

Farbe

Hiermit kann die Farbe für das aktuell ausgewählte Element aus der Farbzuordnungsliste geändert werden.

Warnungen

Im diesem Textfeld werden Hinweise dargestellt, wenn die Farbe für das ausgewählte Element der Farbzuordnungsliste bereits anderweitig verwendet wird. Dies hat jedoch keine funktionellen Auswirkungen auf die Darstellung im Symbol-Layout.

Farben zurücksetzen

Mit dieser Schaltfläche können alle Farbzuordnungen auf die Standardwerte zurückgesetzt werden.

Siehe auch

Optionen-Dialogfenster

Symbol-Layout


Elemente, Optionen-Dialogfenster

Mit der Seite Elemente im Optionen-Dialogfenster können Standardwerte für Elemente eingestellt werden, die im PCAN Symbol Editor beim Hinzufügen von Elementen benutzt werden.

Standards

Symbol Typ beim Anlegen

Hiermit kann festgelegt werden, welcher Typ beim Hinzufügen von Symbolen standardmäßig verwendet werden soll.

Symbol Datenlänge beim Anlegen

Hiermit wird festgelegt, welche Datenlänge ein neues Symbol beim Hinzufügen standardmäßig besitzen soll. Die möglichen Datenlängen richten sich hierbei nach dem ausgewählten Symbol Typ beim Anlegen.

Symbol Typ | Mögliche Datenlängen
Standard und Extended | 0 bis 8
J1939 PG | 0 bis 1785
FD Standard und FD Extended | 0 bis 8, 12, 16, 20, 24, 32, 48 und 64

Siehe auch

Optionen-Dialogfenster


Enum-Wert bearbeiten Dialogfenster

Mit diesem Dialogfenster kann der Wert bzw. Wertebereich und die zugehörige Zeichenkette eines Enum-Wert Eintrags bearbeitet werden.

Hinweis

Wertebereiche können nur im Symboldatei-Format 6.0 festgelegt werden.

Wert

Legt den Wert oder Wertebereich für ein Enum fest.

Um einen Wertebereich festzulegen, müssen hier 2 Werte (Minimum und Maximum) angeben werden. Der 2. Wert ist optional und kann weggelassen werden bzw. leer sein.

Die Werte müssen innerhalb des erlaubten Bereichs -2147483648 bis 2147483647 liegen (32-Bit Signed Integer). Wenn hexadezimale Werte angegeben werden, müssen diese im Bereich 0 bis FFFFFFFFh liegen (32-Bit).

Text

Legt die Zeichenkette für den Wert fest.

Kommentar

Legt einen optionalen Kommentartext für den Wert fest.

Siehe auch

Enum-Eigenschaften


J1939 CAN-ID-Dialogfenster

Das J1939 CAN-ID-Dialogfenster ermöglicht das genaue Einstellen einer CAN-ID die in einem Symbol mit dem Typ J1939 PG definiert ist. Das Dialogfenster kann angezeigt werden, indem die Eigenschaften des gewünschten Symbols angezeigt auf die Schaltfläche geklickt wird, die sich rechts neben dem Eingabefeld der CAN-ID befindet.

Hinweis

Dieses Dialogfenster kann nur für Symbole angezeigt werden, deren Typ Eigenschaft auf J1939 PG eingestellt ist.

Hexadezimale Werte

Mit dieser Options kann eingestellt werden, ob die Wert in diesem Dialogfenster in dezimaler oder hexadezimaler Darstellung angezeigt werden sollen. Ist die Option eingeschaltet, werden die Werte in hexadezimaler Darstellung angezeigt, ansonsten in dezimaler Darstellung.

PGN

In diesem Eingabefeld kann die PGN (Parameter Group Number) eingestellt werden.

Bei Botschaften im PDU1-Format entspricht das untere Byte der Zieladresse. Das bedeutet, wenn zum Beispiel eine 1AFBh eingegeben wird, wird das untere Byte (FBh) aus diesem Wert maskiert und in als Ziel-Adresse interpretiert und dort dargestellt. Danach steht in dem PGN Feld der Wert 1A00h und in der Dropdown-Liste Ziel-Adresse ist der Eintrag FBh ausgewählt.

Eine Botschaft hat dann das PDU1-Format, wenn der Wert in den Bits 16..23 der CAN-ID kleiner als 240 (F0h) ist, z.B. wie in PGN EF00h. Liegt der Wert im Bereich 240..255, hat die Botschaft das PDU2-Format. PDU2-Botschaften werden immer als Broadcast gesendet, sie enthalten keine Zieladresse.

Priorität

Definiert die Priorität der CAN-Botschaft. Zulässige Werte sind von 0 bis 7.

Quelle

Mit der Dopdown-Liste kann die Quell-Adresse der CAN-Botschaft eingestellt werden. Zulässige Werte sind 00h - FDh oder Null.

Ziel

Mit der Dopdown-Liste kann die Ziel-Adresse der CAN-Botschaft eingestellt werden. Zulässige Werte sind 00h - FDh, Global oder Null.

Siehe auch

Symbol-Eigenschaften


Neue Symboldatei-Dialogfenster

Dieses Dialogfenster ermöglicht die Auswahl des Symboldatei-Formats für die neu anzulegende Symboldatei. Dabei dient das Dialogfenster auch als Informationsquelle bezüglich der Möglichkeiten, die in den verschiedenen Format-Versionen zur Verfügung stehen. Der Dialog ist erreichbar über die Menüband-Registerkarte Start und dem Befehl Neu in der Gruppe Datei oder über das Anwendungmenü Datei.

Folgende Symboldatei-Formate werden unterstützt und stehen im Dialogfenster zu Auswahl: 3.1, 5.0 und 6.0

In dem Dialogfenster sind für die verschiedenen Formate folgende Informationen enthalten:

Verwendbar in

Hier werden die PCAN-Explorer Versionen aufgeführt, mit denen das gewählte Format verwendbar ist.

Features

Die hier aufgeführten Features sind Bestandteil des gewählten Formates.

Einschränkungen

In den hier aufgeführten Punkten sind Einschränkungen aufgeführt, die im gewählten Format nicht nutzbar, erreichbar oder unterstützt werden.

Siehe auch

Symbole-Eigenschaften

Befehle


Spalten anpassen-Dialogfenster

Verwenden Sie dieses Dialogfenster, um die Spalten zu ändern, die in der Elementliste angezeigt werden.

Um das Dialogfenster anzuzeigen:

Klicken Sie auf der Menüband-Registerkarte Ansicht in der Gruppe Spalten auf Spalten anpassen.

- oder -

Klicken Sie mit der 2. Maus-Taste auf eine der Spaltenüberschriften, und wählen im Kontextmenü den Befehl Spalten anpassen.

Spalten

Führt alle verfügbaren Spaltentypen auf. Wenn Sie einen Haken in das Markierungsfeld vor dem Spaltennamen setzen, wird die Spalte in der Elementliste angezeigt.

Beschreibung

Zeigt eine kurze Beschreibung zu der ausgewählten Spalten an.

Nach oben

Bewegt die ausgewählte Spalte in der Liste Spalten aufwärts. Hier durch wird die Spalte in der Elementliste nach links geschoben.

Nach unten

Bewegt die ausgewählte Spalte in der Liste Spalten abwärts. Hier durch wird die Spalte in der Elementliste nach rechts geschoben.

Siehe auch

Elementlisten


Suchen-Dialogfenster

Im Suchen-Dialogfenster kann im PCAN Symbol Editor nach bestimmten Texten gesucht werden. Wird ein Element mit dem Text unter Berücksichtigung der eingestellten Optionen gefunden, wird es im Element-Navigator selektiert und dessen Eigenschaften in der Eingabemaske angezeigt.

Text suchen

Verwenden Sie einen der zuletzt eingegebenen Suchbegriffe von der Dropdownliste, oder geben Sie einen neuen Text ein, nach dem gesucht werden soll.

Ort

Mit dieser Option kann festgelegt werden, wo im PCAN Symbol Editor nach dem Text gesucht werden soll.

im Element-Navigator

Wenn diese Option aktiv ist, wird der Element-Navigator und alle Einträge darin nach dem Text durchsucht.

in den Objekten

Wenn diese Option aktiv ist, können mehrer Objekte an, bzw. abgewählt werden, in deren Eigenschaften nach dem Text gesucht werden sollen. Alle diese Objekt befinden sich im Element-Navigator und werden beim erfolgreichen Auffinden dort selektiert. Folgende Objekte sind in Abhängigkeit vom gewählten Symboldatei-Format auswählbar:

Objekte | Symboldatei-Format | Beschreibung
Enums | 3.1, 5.0 und 6.0 | Die Eigenschaften aller Enums werden durchsucht.
Signale | 6.0 | Die Eigenschaften aller Signale werden durchsucht.
Symbols | 3.1, 5.0 und 6.0 | Die Eigenschaften aller Symbolen werden durchsucht.
Multiplexer | 3.1, 5.0 und 6.0 | Die Eigenschaften aller Multiplexer werden durchsucht.
Variablen | 3.1, 5.0 und 6.0 | Die Eigenschaften aller Variablen werden durchsucht.
Zugewiesene Signale | 6.0 | Die Eigenschaften aller zugewiesener Signale werden durchsucht.
Virtuelle Variablen | 5.0 | Die Eigenschaften aller vituellen Variablen werden durchsucht.
Botschafts-Tasten | 3.1 | Die Eigenschaften aller Botschafts-Tasten werden durchsucht.
Macro-Tasten | 3.1 | Die Eigenschaften aller Macro-Tasten werden durchsucht.

Optionen

Hier können zusätzliche Optionen für die Suche aktiviert werden.

Groß-/Kleinschreibung beachten

Wenn diese Option aktiviert ist, wird bei der Suche die Groß- und Kleinschreibung beachtet. Wird zum Beispiel nach "MeinObjekt" gesucht, wird "MeinObjekt" gefunden, jedoch nicht "meinobjekt" oder "MEINOBJEKT".

Ganze Wörter

Wenn diese Option aktiviert ist, werden bei der Suche nur Elemente angezeigt, bei denen der Suchbegriff als komplettes Wort gefunden wurde. Wird zum Beispiel nach "MeinObjekt" gesucht, wird "MeinObjekt" gefunden, jedoch nicht "_MeinObjekt" oder "MeinObjekt1".

Richtung

Diese Option legt fest, in welche Richtung im PCAN Symbol Editor gesucht werden soll. Als Basis wird dabei die Anordnung der Elemente im Element-Navigator genutzt, auch wenn in den Objekten gesucht werden soll. Dabei gibt es zwei Möglichkeiten:

  • Vorwärts: Die Suche im Element-Navigator wird vorwärts ausgeführt oder fortgesetzt.

  • Rückwärts: Die Suche im Element-Navigator wird rückwärts ausgeführt oder fortgesetzt.

Ursprung

Legt den Anfangspunkt der Suche fest:

  • Von der Auswahl: Die Suche beginnt beim selektierten Eintrag.

  • Gesamter Bereich: Der komplette Baum wird durchsucht. Wird vorwärts gesucht, beginnt die Suche beim ersten Element im Baum. Wird rückwärts gesucht, beginnt die Suche beim letzten Element im Baum.

Siehe auch

Symbole Schnellzugriff-Dialogfenster


Symboldatei-Format Konverter-Dialogfenster

Dieses Dialogfenster ermöglicht das automatische Umwandeln von Symbol-Daten zwischen den verschiedenen Symboldatei-Formaten. Hierbei wird der Benutzer wie bei einem Wizard durch die notwendigen Schritte geführt, um die Umwandlung der Daten erfolgreich abzuschließen.

Start

In diesem Schritt kann das Ziel Format ausgewählt werden, in welches die Symbol-Daten umgewandelt werden sollen. Das Ziel Format sollte sich in diesem Schritt von dem Aktuellen Format unterscheiden. Anderenfalls kann der Vorgang nicht fortgesetzt werden.

Einstellungen

Je nach Aktuellen und Ziel Format können verschiedene Optionen aktiviert werden, die während der Umwandlung bestimmte automatische Vorgänge festlegen.

Tipp

Eine kurze Erläuterung der Optionen kann im unteren Dialog-Bereich angezeigt werden, wenn die Maus sich über eine der Optionen befindet.

Prozess

In diesem Schritt werden Informationen während des Umwandlungsprozesses angezeigt.

Konflikte

Dieser Schritt wird nur angezeigt, wenn trotz Optionen, die in den Einstellungen getroffen wurden, Konflikte beim Umwandeln aufgetreten sind. Dabei sind die Konflikte in einer Liste aufgeführt und können dort über die Spalte Wert korrigiert werden.

Mit der Option Ignoriere bestehende Konflikte können bestehende Konflikte vernachlässigt werden, um die Umwandlung fertigzustellen und die Konflikte im Anschluss zu korrigieren.

Fertig

In diesem abschließenden Schritt kann entschieden werden, ob die umgewandelten Symbol-Daten im PCAN Symbol Editor die bestehenden Daten überschreiben oder in einer neuen Symboldatei abgespeichert werden sollen.

Hinweis

Beim Abspeichern in eine neue Symbol-Datei können Daten verloren gehen, wenn Konflikte (Warnungen) ignoriert wurden.

Siehe auch

Symbole


Symbole Schnellzugriff-Dialogfenster

Mit dem Symbole Schnellzugriff-Dialogfenster kann im PCAN Symbol Editor auf vorgegebene Elemente zugegriffen werden.

Diese Elemente sind dabei in Kategorien eingeteilt.

Eine Volltext-Suche innerhalb der Kategorien ist in diesem Dialogfenster ebenfalls möglich.

Ein Doppelklick oder die Betätigung der Enter-Taste auf eines der Elemente schließt das Dialogfenster und führt die im Element hinterlegte Aktion aus. Hierbei wird für Botschafts-Tasten, Enums, Makro-Tasten, Multiplexer, Signale, Symbole, Variablen, Verknüpfte Signale und Virtuelle Variablen das jeweile Element im Programm selektiert und dessen Eigenschaften in der Eingabemaske angezeigt. Bei Kommandos wird der entsprechende Befehl ausgeführt. Dateien aus Zuletzt geöffnete Dateien werden im Programm geladen.

Suchfeld

In diesem Eingabefeld können Suchbegriffe eingegeben werden, nach denen allen Elementen und Kategorien mit einer Voll-Text-Suche gefiltert werden. Gefilterte Elemente werden dabei schon während der Eingabe aktualisiert und der Suchbegriff in den Elementen markiert.

Mit den Pfeil-Tasten Nach-oben und Nach-unten kann durch die gefilterten Elemente navigiert werden. Die Escape-Taste beendet die Filterung.

Kategorien

Folgende Kategorien sind im Dialogfenster verfügbar.

Botschafts-Tasten

Listet alle Funktionstasten auf, inklusive Namen des verwendeten Symbols, die aktuell den Botschafts-Tasten zugewiesen sind.

Enums

Listet die Namen aller Enums der aktuell geladenen Datei auf.

Kommandos

Listet alle momentan verfügbaren Befehle auf, inklusive Tastenkombination und Kurzbeschreibung.

Makro-Tasten

Listet alle Funktionstasten auf, die aktuell den Makro-Tasten zugewiesen sind.

Multiplexer

Listet die Namen aller Multiplexer auf, inklusive den Symbol-Namen, in denen sie enthalten sind.

Signale

Listet die Namen aller global definierten Signale auf.

Symbole

Listet alle Symbol-Namen auf.

Variablen

Listet die Namen aller Variablen auf, inklusive den Symbol- und Multiplexer-Namen, in denen sie enthalten sind.

Zugewiesene Signale

Listet die Namen aller Signale auf, inklusive den Symbol- und Multiplexer-Namen, denen sie zugewiesen sind.

Virtuelle Variablen

Listet die Namen aller virtuellen Variablen auf.

Zuletzt geöffnete Dateien

Listet alle Datei-Namen der zuletzt geöffneten Dateien auf, inklusive Verzeichnis-Angabe.

Siehe auch

Suchen-Dialogfenster


Variablen bearbeiten Dialogfenster

Dieses Dialogfenster zeigt eine Liste aller Variablen des ausgewählten Symbols bzw. Multiplexers an. In der Spalte Wert kann für jedes Symbol ein Wert angegeben werden.

Siehe auch

Botschafts-Tasten-Eigenschaften


Info

PCAN Symbol Editor HTML-Hilfe

für PCAN Symbol Editor 6.0

Letzte Aktualisierung: 27.01.2022 16:06

©2022 PEAK-System Technik GmbH, Darmstadt, Deutschland
Alle Rechte vorbehalten.